GNU bug report logs - #50993
29.0.50; Problems when dragging the mouse over the toolbar

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Po Lu <luangruo@HIDDEN>; Done: Juri Linkov <juri@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug marked as fixed in version 28.0.60, send any further explanations to 50993 <at> debbugs.gnu.org and Po Lu <luangruo@HIDDEN> Request was from Juri Linkov <juri@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 50993 <at> debbugs.gnu.org:


Received: (at 50993) by debbugs.gnu.org; 17 Oct 2021 17:49:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Oct 17 13:49:44 2021
Received: from localhost ([127.0.0.1]:45219 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mcAI4-0007sa-5q
	for submit <at> debbugs.gnu.org; Sun, 17 Oct 2021 13:49:44 -0400
Received: from relay9-d.mail.gandi.net ([217.70.183.199]:55027)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>)
 id 1mcAI2-0007sJ-LK; Sun, 17 Oct 2021 13:49:43 -0400
Received: (Authenticated sender: juri@HIDDEN)
 by relay9-d.mail.gandi.net (Postfix) with ESMTPSA id A29E7FF805;
 Sun, 17 Oct 2021 17:49:33 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#50993: 29.0.50; Problems when dragging the mouse over the
 toolbar
Organization: LINKOV.NET
References: <87r1d2b9e2.fsf.ref@HIDDEN> <87ily4aur8.fsf@HIDDEN>
 <44097514-26fb-fe2f-fb82-cfb819f13d2a@HIDDEN>
 <87k0ijalp8.fsf@HIDDEN>
 <a538cf46-7bd7-7d71-c32f-db94d6d7008b@HIDDEN>
 <878ryzafqk.fsf@HIDDEN>
 <dad767c3-c20e-801c-0139-eabf4f05ce0b@HIDDEN>
 <87wnmj85o2.fsf@HIDDEN>
 <c0ca683d-83b2-0543-162d-600ef56de43c@HIDDEN> <837deiqr3k.fsf@HIDDEN>
 <52bbc081-e8a2-91b6-2b27-0dba6d8971c0@HIDDEN> <83tuhmp793.fsf@HIDDEN>
 <cb1520e0-e38a-d879-93de-f369be1c7e9d@HIDDEN>
 <87lf2y6ncr.fsf@HIDDEN>
 <d86f0031-8d76-5ab5-8c94-80e7bad20789@HIDDEN>
 <87mtnc921p.fsf@HIDDEN>
 <a79c4e69-37b8-961d-65fc-e752117ad889@HIDDEN>
 <87ilxzk3o1.fsf@HIDDEN>
 <003ea792-41ac-8113-21d1-0417e1314dbc@HIDDEN>
 <87h7djilbt.fsf@HIDDEN>
 <850b8394-583d-a9d3-ee7c-534c1cf43b12@HIDDEN>
Date: Sun, 17 Oct 2021 20:49:09 +0300
In-Reply-To: <850b8394-583d-a9d3-ee7c-534c1cf43b12@HIDDEN> (martin rudalics's
 message of "Thu, 14 Oct 2021 19:47:03 +0200")
Message-ID: <87r1cjwnhm.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.5 (/)
X-Debbugs-Envelope-To: 50993
Cc: luangruo@HIDDEN, Eli Zaretskii <eliz@HIDDEN>, 50993 <at> debbugs.gnu.org,
 monnier@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.5 (-)

close 50993 28.0.60
thanks

>> Thanks, this is much better!  Dragging is more nice with this indication.
>
> Feel free to peruse it at your like.

Thanks for the patch, now pushed and closed.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50993; Package emacs. Full text available.

Message received at 50993 <at> debbugs.gnu.org:


Received: (at 50993) by debbugs.gnu.org; 14 Oct 2021 18:03:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 14 14:03:11 2021
Received: from localhost ([127.0.0.1]:37055 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mb54R-0007hw-Jt
	for submit <at> debbugs.gnu.org; Thu, 14 Oct 2021 14:03:11 -0400
Received: from relay2-d.mail.gandi.net ([217.70.183.194]:41689)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1mb54P-0007hi-Od
 for 50993 <at> debbugs.gnu.org; Thu, 14 Oct 2021 14:03:10 -0400
Received: (Authenticated sender: juri@HIDDEN)
 by relay2-d.mail.gandi.net (Postfix) with ESMTPSA id 0C5B540008;
 Thu, 14 Oct 2021 18:03:01 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#50993: 29.0.50; Problems when dragging the mouse over the
 toolbar
Organization: LINKOV.NET
References: <87r1d2b9e2.fsf.ref@HIDDEN> <87ily4aur8.fsf@HIDDEN>
 <44097514-26fb-fe2f-fb82-cfb819f13d2a@HIDDEN>
 <87k0ijalp8.fsf@HIDDEN>
 <a538cf46-7bd7-7d71-c32f-db94d6d7008b@HIDDEN>
 <878ryzafqk.fsf@HIDDEN>
 <dad767c3-c20e-801c-0139-eabf4f05ce0b@HIDDEN>
 <87wnmj85o2.fsf@HIDDEN>
 <c0ca683d-83b2-0543-162d-600ef56de43c@HIDDEN> <837deiqr3k.fsf@HIDDEN>
 <52bbc081-e8a2-91b6-2b27-0dba6d8971c0@HIDDEN> <83tuhmp793.fsf@HIDDEN>
 <cb1520e0-e38a-d879-93de-f369be1c7e9d@HIDDEN>
 <87lf2y6ncr.fsf@HIDDEN>
 <d86f0031-8d76-5ab5-8c94-80e7bad20789@HIDDEN>
 <87mtnc921p.fsf@HIDDEN>
 <a79c4e69-37b8-961d-65fc-e752117ad889@HIDDEN>
 <87ilxzk3o1.fsf@HIDDEN>
 <003ea792-41ac-8113-21d1-0417e1314dbc@HIDDEN>
 <87h7djilbt.fsf@HIDDEN>
 <850b8394-583d-a9d3-ee7c-534c1cf43b12@HIDDEN>
Date: Thu, 14 Oct 2021 21:02:10 +0300
In-Reply-To: <850b8394-583d-a9d3-ee7c-534c1cf43b12@HIDDEN> (martin rudalics's
 message of "Thu, 14 Oct 2021 19:47:03 +0200")
Message-ID: <87zgrbeb8d.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.5 (/)
X-Debbugs-Envelope-To: 50993
Cc: luangruo@HIDDEN, Eli Zaretskii <eliz@HIDDEN>, 50993 <at> debbugs.gnu.org,
 monnier@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.5 (-)

>> Thanks, this is much better!  Dragging is more nice with this indication.
>
> Feel free to peruse it at your like.

Maybe it should be installed in emacs-28?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50993; Package emacs. Full text available.

Message received at 50993 <at> debbugs.gnu.org:


Received: (at 50993) by debbugs.gnu.org; 14 Oct 2021 17:47:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 14 13:47:21 2021
Received: from localhost ([127.0.0.1]:37031 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mb4p7-0007G8-67
	for submit <at> debbugs.gnu.org; Thu, 14 Oct 2021 13:47:21 -0400
Received: from mout.gmx.net ([212.227.17.21]:56203)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1mb4p3-0007Fs-D1
 for 50993 <at> debbugs.gnu.org; Thu, 14 Oct 2021 13:47:19 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1634233625;
 bh=Z726hdDkMSUS1ypkUqdzUmU717jVrd51mvIMYHraZiE=;
 h=X-UI-Sender-Class:Subject:To:Cc:References:From:Date:In-Reply-To;
 b=NyBHpnuOCcTkxY8IC4JNkemUz9yXsC9hMQOUtymFMmgSa2yyygVGyBWnBT16PDLtd
 UDpCYYlhmEG9EKPC56Ba4Algm9yIl3KiNTYkCUHVRcRm8Q4blh0zu0MFagGNjefH+U
 CB3BNh7MniR1U2CSpCtPz9I6ds67gLajMa4Fka/o=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from [192.168.1.102] ([212.95.5.92]) by mail.gmx.net (mrgmx104
 [212.227.17.168]) with ESMTPSA (Nemesis) id 1MJE6F-1mI1jO2Dbn-00Ki4r; Thu, 14
 Oct 2021 19:47:05 +0200
Subject: Re: bug#50993: 29.0.50; Problems when dragging the mouse over the
 toolbar
To: Juri Linkov <juri@HIDDEN>
References: <87r1d2b9e2.fsf.ref@HIDDEN> <877dekcsc1.fsf@HIDDEN>
 <bfac3335-23be-e3cf-76b9-1a68f2444548@HIDDEN> <87ily4aur8.fsf@HIDDEN>
 <44097514-26fb-fe2f-fb82-cfb819f13d2a@HIDDEN> <87k0ijalp8.fsf@HIDDEN>
 <a538cf46-7bd7-7d71-c32f-db94d6d7008b@HIDDEN> <878ryzafqk.fsf@HIDDEN>
 <dad767c3-c20e-801c-0139-eabf4f05ce0b@HIDDEN> <87wnmj85o2.fsf@HIDDEN>
 <c0ca683d-83b2-0543-162d-600ef56de43c@HIDDEN> <837deiqr3k.fsf@HIDDEN>
 <52bbc081-e8a2-91b6-2b27-0dba6d8971c0@HIDDEN> <83tuhmp793.fsf@HIDDEN>
 <cb1520e0-e38a-d879-93de-f369be1c7e9d@HIDDEN>
 <87lf2y6ncr.fsf@HIDDEN>
 <d86f0031-8d76-5ab5-8c94-80e7bad20789@HIDDEN>
 <87mtnc921p.fsf@HIDDEN>
 <a79c4e69-37b8-961d-65fc-e752117ad889@HIDDEN>
 <87ilxzk3o1.fsf@HIDDEN>
 <003ea792-41ac-8113-21d1-0417e1314dbc@HIDDEN>
 <87h7djilbt.fsf@HIDDEN>
From: martin rudalics <rudalics@HIDDEN>
Message-ID: <850b8394-583d-a9d3-ee7c-534c1cf43b12@HIDDEN>
Date: Thu, 14 Oct 2021 19:47:03 +0200
MIME-Version: 1.0
In-Reply-To: <87h7djilbt.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K1:ZFog09eDGkbrOVkaWm2WzebMUl/xeX2ZBoR0xum0kKdTNtiHMfw
 eNvy49jEuMfd25UAQk8HEu+BLMf/9XVdE5stqNbgCVYqGRFAXG97m0z1xFleI/npvdpyRCp
 VDYoItRTNrN6OvTrS43mY6oJORoFXT43yXVhXOVoZFf3l4JSMAMVDsNFbm9USECcsOLYxXI
 RdEO2S/DzhbsrGUrA9gDg==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:Rd1NppNI7Mk=:OJ07g4iOmaW+U7fKyzP1Ns
 RjUbp/1KV/ad0cgriFgWqFGTGoxk90uI5miOyQPY+MN4Bt8Za8dfOWDjl/w9M/sI7TKjHtxqX
 C1B+2g3iGCe7ng/NX4xTqZ8BlHhpH5aQh2f8pGIC8eEpvr/i09JPAbC5iPLjFE4YbXKKT4ycW
 1ztLtjhsIK5LK3mdCPcaYTVUL/0luNvpka9C0Fd5R9o6xV+Hevoxjz5mMQmUjKOffovCUvYOz
 kYxxCutvTH05G4h4d5x1DNSQ/7W4hianmhknmwAVGMYMfRR9LV+R6GcWq9eq4rJ0etJL8T6np
 YXbit5ANeGOmfhc//bRTURva/XjTL/CCrKmSSzCkRoUg2XMpKmEqPz2mUhFbvGsV9tRdcFizb
 BzpvXGlhv9BeD9QlaOfdhRloxoPseO1bmt/M6YMnB1JOu65sW/RdUt+6Bi1KKNxvskcaSZrAx
 5xUTADpBFVnPgZGg9Ncn5HYZqmSfr4Be59m7gTAZcTCVZ9UtksU62rRUCdBjfpliwU1ttzmcv
 DQssJu7AVuqQIKGZW7g131cSWr1nRezbysUZNTmHBJzpA6lnmwqmUADB0w93GtmgUCib1odbO
 uumvIuGDKBSYYav+LtdcCLkDKBI1zT74r9EpicVEILjIuFaPT1K8v3CCreZV66pdRhro8ARRx
 /u4RceowV0IRgdekW/vyHlVVES6oiwWq79Kw0oQEJ+yxBzSXC0p94o98iYNFWzel8vOZTXdh3
 Vh2YfxBddfrU/bnbssJxCf5I1fdC/RL3bnR6L00HTij60vb2MMrDFelF3CBnFlf063BHIPJA1
 88NXogmtKNAmcIa17+xVqTkqvAOhn4J7+jsC/YQDMkoP2xgQadl1WO1oJC16WEPpt8vn6FIaX
 cutLW0zCt8HiQLKHEG5ASvpU/FTQQ7QRSxe9G1PhKM/I3H5x3aeCpJ3Dl1MOVqPyO1++vYdNf
 Iyki97vZZXwhG4zNAaZjx08ENQ7+JC8Pla47qvCk0rCrCr86NM3OcfFutuC/IjJra4WYqo2bq
 ISZ4vqT7cJvTH9HnTorjAaFb8nhffP9mRT/kk3v7Ss0RgGnhk7cD7uZY1TNM7wAkd7eRQLC5K
 g0raIIa0wimqUA=
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 50993
Cc: luangruo@HIDDEN, Eli Zaretskii <eliz@HIDDEN>, 50993 <at> debbugs.gnu.org,
 monnier@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

 > Thanks, this is much better!  Dragging is more nice with this indication.

Feel free to peruse it at your like.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50993; Package emacs. Full text available.

Message received at 50993 <at> debbugs.gnu.org:


Received: (at 50993) by debbugs.gnu.org; 14 Oct 2021 17:11:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 14 13:11:53 2021
Received: from localhost ([127.0.0.1]:36988 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mb4Gm-0006LW-Se
	for submit <at> debbugs.gnu.org; Thu, 14 Oct 2021 13:11:53 -0400
Received: from relay4-d.mail.gandi.net ([217.70.183.196]:55889)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1mb4Gl-0006LH-8f
 for 50993 <at> debbugs.gnu.org; Thu, 14 Oct 2021 13:11:51 -0400
Received: (Authenticated sender: juri@HIDDEN)
 by relay4-d.mail.gandi.net (Postfix) with ESMTPSA id 378D5E0006;
 Thu, 14 Oct 2021 17:11:42 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#50993: 29.0.50; Problems when dragging the mouse over the
 toolbar
Organization: LINKOV.NET
References: <87r1d2b9e2.fsf.ref@HIDDEN> <877dekcsc1.fsf@HIDDEN>
 <bfac3335-23be-e3cf-76b9-1a68f2444548@HIDDEN>
 <87ily4aur8.fsf@HIDDEN>
 <44097514-26fb-fe2f-fb82-cfb819f13d2a@HIDDEN>
 <87k0ijalp8.fsf@HIDDEN>
 <a538cf46-7bd7-7d71-c32f-db94d6d7008b@HIDDEN>
 <878ryzafqk.fsf@HIDDEN>
 <dad767c3-c20e-801c-0139-eabf4f05ce0b@HIDDEN>
 <87wnmj85o2.fsf@HIDDEN>
 <c0ca683d-83b2-0543-162d-600ef56de43c@HIDDEN> <837deiqr3k.fsf@HIDDEN>
 <52bbc081-e8a2-91b6-2b27-0dba6d8971c0@HIDDEN> <83tuhmp793.fsf@HIDDEN>
 <cb1520e0-e38a-d879-93de-f369be1c7e9d@HIDDEN>
 <87lf2y6ncr.fsf@HIDDEN>
 <d86f0031-8d76-5ab5-8c94-80e7bad20789@HIDDEN>
 <87mtnc921p.fsf@HIDDEN>
 <a79c4e69-37b8-961d-65fc-e752117ad889@HIDDEN>
 <87ilxzk3o1.fsf@HIDDEN>
 <003ea792-41ac-8113-21d1-0417e1314dbc@HIDDEN>
Date: Thu, 14 Oct 2021 20:10:30 +0300
In-Reply-To: <003ea792-41ac-8113-21d1-0417e1314dbc@HIDDEN> (martin rudalics's
 message of "Thu, 14 Oct 2021 19:01:52 +0200")
Message-ID: <87h7djilbt.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.5 (/)
X-Debbugs-Envelope-To: 50993
Cc: luangruo@HIDDEN, Eli Zaretskii <eliz@HIDDEN>, 50993 <at> debbugs.gnu.org,
 monnier@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.5 (-)

>> Do you mean adding 'mouse-face highlight' to tab strings?
>> It has no effect on the tab bar.  Maybe something is missing
>> in note_tab_bar_highlight?
>
> Probably.  Try the attached only "cursorily" tested patch.

Thanks, this is much better!  Dragging is more nice with this indication.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50993; Package emacs. Full text available.

Message received at 50993 <at> debbugs.gnu.org:


Received: (at 50993) by debbugs.gnu.org; 14 Oct 2021 17:02:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 14 13:02:08 2021
Received: from localhost ([127.0.0.1]:36978 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mb47M-00066P-Kf
	for submit <at> debbugs.gnu.org; Thu, 14 Oct 2021 13:02:08 -0400
Received: from mout.gmx.net ([212.227.15.19]:37669)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1mb47J-00065m-Pt
 for 50993 <at> debbugs.gnu.org; Thu, 14 Oct 2021 13:02:06 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1634230914;
 bh=gzzezjzPEvPtRVQiQGbV3lsmjaGn6gzF1lASFj3PAKU=;
 h=X-UI-Sender-Class:Subject:To:Cc:References:From:Date:In-Reply-To;
 b=MlvAVdtcarWDdn4rw0MkYCUv/vn1y2vo8tE9K/WPp7KIkEZ1izYxruFIdoXXvKNPa
 1DguANzZrdtZdKdPUtaWcDKm8E1FYA33bPB6XiycT+4GAm3SdDOS2Q5yWs2OhPVMWp
 QpGMFA9V/mM24kSlf8HD4vubqHRqL4hbPtpkdUdY=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from [192.168.1.102] ([212.95.5.92]) by mail.gmx.net (mrgmx005
 [212.227.17.190]) with ESMTPSA (Nemesis) id 1MYvcA-1mEyu219km-00UqHZ; Thu, 14
 Oct 2021 19:01:54 +0200
Subject: Re: bug#50993: 29.0.50; Problems when dragging the mouse over the
 toolbar
To: Juri Linkov <juri@HIDDEN>
References: <87r1d2b9e2.fsf.ref@HIDDEN> <83lf30r8eq.fsf@HIDDEN>
 <jwvo87wtumc.fsf-monnier+emacs@HIDDEN> <877dekcsc1.fsf@HIDDEN>
 <bfac3335-23be-e3cf-76b9-1a68f2444548@HIDDEN> <87ily4aur8.fsf@HIDDEN>
 <44097514-26fb-fe2f-fb82-cfb819f13d2a@HIDDEN> <87k0ijalp8.fsf@HIDDEN>
 <a538cf46-7bd7-7d71-c32f-db94d6d7008b@HIDDEN> <878ryzafqk.fsf@HIDDEN>
 <dad767c3-c20e-801c-0139-eabf4f05ce0b@HIDDEN> <87wnmj85o2.fsf@HIDDEN>
 <c0ca683d-83b2-0543-162d-600ef56de43c@HIDDEN> <837deiqr3k.fsf@HIDDEN>
 <52bbc081-e8a2-91b6-2b27-0dba6d8971c0@HIDDEN> <83tuhmp793.fsf@HIDDEN>
 <cb1520e0-e38a-d879-93de-f369be1c7e9d@HIDDEN>
 <87lf2y6ncr.fsf@HIDDEN>
 <d86f0031-8d76-5ab5-8c94-80e7bad20789@HIDDEN>
 <87mtnc921p.fsf@HIDDEN>
 <a79c4e69-37b8-961d-65fc-e752117ad889@HIDDEN>
 <87ilxzk3o1.fsf@HIDDEN>
From: martin rudalics <rudalics@HIDDEN>
Message-ID: <003ea792-41ac-8113-21d1-0417e1314dbc@HIDDEN>
Date: Thu, 14 Oct 2021 19:01:52 +0200
MIME-Version: 1.0
In-Reply-To: <87ilxzk3o1.fsf@HIDDEN>
Content-Type: multipart/mixed; boundary="------------8F25E08DB2475A980173EE39"
Content-Language: en-US
X-Provags-ID: V03:K1:J9ZAd/cljMMXqtSyHB77X1/HC+EAcKwy3id9mcrR7NcGCwTj8RK
 nIw/epWRfFopSU1rLuvLbbjPHEmILom3WTdliYTDzM5YLkfh1cy9uZzvnTFS/WMfYWw9WoP
 xGSjz8bcDOm4UJZGRBLRYKTyM5ELekMXAxX8S25WemIVWetTvDU58na6DNAn88uidR0V40m
 c8PK+M1N4B63ZoqADoPHw==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:uNXoXXnTRS0=:K/s2ObUu5m6muyvwiF37tn
 jRo33mGe0hSZMvOtWDHLl/5x4NRSYTcvfSV8OMDfWfsueh4H4eyeP8noztFDFXKzwKm+2UuRH
 J1uXQ6D7sjyLxZ+3vOqt+tC+zxNvzuoc4F/ig5bs5zAHUFTRt52PdvDJ8AyhkdrH0wNxQiDUS
 2AwvQRkzwGfSCCNkOqh/4FRy7IeJ26Kd0E9TUcZfuNVVF3lLEDVMkxD5gO/cHx/OkfCY2/MG8
 CrztMKISDaO7i6wDtfytDJ67+qn9itpN9l4QaPrua/UxhzC95alvkkitHOQTQm6Ftgzj4BlES
 eiX38mBYPkROFK7+LrkWkh5zuMXdbfwXmBjXtmgH5wcwyQhYSjmVuFps+lgmaOSbxK27hXiMF
 3fbnVxR6iWZlNsR+m+Wxl4cF5u3fOpXDC/CsypqitCtclnJidLuVzvoXnSbMPdkfsa7FJq3W5
 JRQo1ZdeJTJ58DF6MUF+E48tICBj2WY5GJ+IZ0g3sWXYQXxUiwUhRkXxPGRrkGp+uJiVmfZSG
 V7hj1ss95291e27LqkMZhUwzom4fDwH6jgFRHnmkrgpWCZcLVY7/lRXPOggX1lV8pUrRCwz4/
 qCSO2AykuAx47P7v/D+IrcTIMXVeE4UpOtWdVUGjPm1bjzYo2xEuh2ZMRMF7RNE2djZYtq/n6
 nh8DH1f/y7YU/bfiauEww3ERLJRuhf4zMURmeCT/CWvPcplR4UUv5ljhNrK3Oy7cZBTRjlnpT
 j+kPZ2h1ybUuFN7Y0krvye7kgBLnlS7dzYPymLNqvmy4WAMc8gJL2jMYIhODz1HVHbM0zmIiM
 JqgO9HcCf6F2c4UVDDGsik8y6n8nL+9SXw4ZEEWJvZ9e9A2pzAKyM9RJTqwP3TeqLH5+It9oV
 LkBxFfoqRxEixoZkMFRo/ay53q7JdWflg7h/bJdHGJduP39U32BOzcAfuOIfQiQ3Y7zcSZaRF
 by4E4JUnrSvaF1v728TgLU/YRIOF5XeKmAtUubV6V4mt/sjvcr8BkVSTQIefaYvD4jxJRfCTo
 L2x5XhVL2wQJ5i6sNCMOiLMzpU0GlTKmOeuNuvIy2OsL1tjUIpiHlQOZthx7mWqydlypNuBHc
 zJnOOVwLIV7epc=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 50993
Cc: luangruo@HIDDEN, Eli Zaretskii <eliz@HIDDEN>, 50993 <at> debbugs.gnu.org,
 monnier@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

This is a multi-part message in MIME format.
--------------8F25E08DB2475A980173EE39
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 7bit

 > Do you mean adding 'mouse-face highlight' to tab strings?
 > It has no effect on the tab bar.  Maybe something is missing
 > in note_tab_bar_highlight?

Probably.  Try the attached only "cursorily" tested patch.

martin

--------------8F25E08DB2475A980173EE39
Content-Type: text/x-patch;
 name="tab-bar-drag-maybe.diff"
Content-Transfer-Encoding: quoted-printable
Content-Disposition: attachment;
 filename="tab-bar-drag-maybe.diff"

diff --git a/lisp/tab-bar.el b/lisp/tab-bar.el
index ccecdbc044..162c721751 100644
=2D-- a/lisp/tab-bar.el
+++ b/lisp/tab-bar.el
@@ -113,6 +113,8 @@ tab-bar-select-tab-modifiers
   :group 'tab-bar
   :version "27.1")

+(defvar tab-bar-drag-maybe)
+
 (defun tab-bar--define-keys ()
   "Install key bindings for switching between tabs if the user has config=
ured them."
   (when tab-bar-select-tab-modifiers
@@ -236,6 +238,7 @@ tab-bar--key-to-number
    (t t)))

 (defun tab-bar--event-to-item (posn)
+  (setq tab-bar-drag-maybe nil)
   (if (posn-window posn)
       (let ((caption (car (posn-string posn))))
         (when caption
@@ -263,6 +266,7 @@ tab-bar-mouse-select-tab
   (interactive "e")
   (let* ((item (tab-bar--event-to-item (event-start event)))
          (tab-number (tab-bar--key-to-number (nth 0 item))))
+    (setq tab-bar-drag-maybe t)
     ;; Don't close the tab when clicked on the close button.
     ;; Let `tab-bar-mouse-close-tab-from-button' do this.
     (unless (nth 2 item)
@@ -331,6 +335,7 @@ tab-bar-mouse-context-menu

 (defun tab-bar-mouse-move-tab (event)
   (interactive "e")
+  (setq tab-bar-drag-maybe nil)
   (let ((from (tab-bar--key-to-number
                (nth 0 (tab-bar--event-to-item
                        (event-start event)))))
diff --git a/src/xdisp.c b/src/xdisp.c
index f802e89834..eb6e717a5b 100644
=2D-- a/src/xdisp.c
+++ b/src/xdisp.c
@@ -33411,7 +33411,13 @@ note_mouse_highlight (struct frame *f, int x, int=
 y)
   if (EQ (window, f->tab_bar_window))
     {
       note_tab_bar_highlight (f, x, y);
-      return;
+      if (tab_bar_drag_maybe)
+	{
+	  cursor =3D FRAME_OUTPUT_DATA (f)->hand_cursor;
+	  goto set_cursor;
+	}
+      else
+	return;
     }
 #endif

@@ -35543,6 +35549,10 @@ syms_of_xdisp (void)
 mouse stays within the extent of a single glyph (except for images).  */)=
;
   mouse_fine_grained_tracking =3D false;

+  DEFVAR_BOOL ("tab-bar-drag-maybe", tab_bar_drag_maybe,
+    doc: /* Non-nil when maybe dragging tab bar item.  */);
+  tab_bar_drag_maybe =3D false;
+
   DEFVAR_BOOL ("redisplay-skip-initial-frame", redisplay_skip_initial_fra=
me,
     doc: /* Non-nil to skip redisplay in initial frame.
 The initial frame is not displayed anywhere, so skipping it is

--------------8F25E08DB2475A980173EE39--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50993; Package emacs. Full text available.

Message received at 50993 <at> debbugs.gnu.org:


Received: (at 50993) by debbugs.gnu.org; 14 Oct 2021 16:17:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 14 12:17:35 2021
Received: from localhost ([127.0.0.1]:36933 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mb3QF-0004xS-3E
	for submit <at> debbugs.gnu.org; Thu, 14 Oct 2021 12:17:35 -0400
Received: from relay4-d.mail.gandi.net ([217.70.183.196]:40677)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1mb3QD-0004wu-CJ
 for 50993 <at> debbugs.gnu.org; Thu, 14 Oct 2021 12:17:34 -0400
Received: (Authenticated sender: juri@HIDDEN)
 by relay4-d.mail.gandi.net (Postfix) with ESMTPSA id 70B9DE000A;
 Thu, 14 Oct 2021 16:17:24 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#50993: 29.0.50; Problems when dragging the mouse over the
 toolbar
Organization: LINKOV.NET
References: <87r1d2b9e2.fsf.ref@HIDDEN> <83lf30r8eq.fsf@HIDDEN>
 <jwvo87wtumc.fsf-monnier+emacs@HIDDEN> <877dekcsc1.fsf@HIDDEN>
 <bfac3335-23be-e3cf-76b9-1a68f2444548@HIDDEN>
 <87ily4aur8.fsf@HIDDEN>
 <44097514-26fb-fe2f-fb82-cfb819f13d2a@HIDDEN>
 <87k0ijalp8.fsf@HIDDEN>
 <a538cf46-7bd7-7d71-c32f-db94d6d7008b@HIDDEN>
 <878ryzafqk.fsf@HIDDEN>
 <dad767c3-c20e-801c-0139-eabf4f05ce0b@HIDDEN>
 <87wnmj85o2.fsf@HIDDEN>
 <c0ca683d-83b2-0543-162d-600ef56de43c@HIDDEN> <837deiqr3k.fsf@HIDDEN>
 <52bbc081-e8a2-91b6-2b27-0dba6d8971c0@HIDDEN> <83tuhmp793.fsf@HIDDEN>
 <cb1520e0-e38a-d879-93de-f369be1c7e9d@HIDDEN>
 <87lf2y6ncr.fsf@HIDDEN>
 <d86f0031-8d76-5ab5-8c94-80e7bad20789@HIDDEN>
 <87mtnc921p.fsf@HIDDEN>
 <a79c4e69-37b8-961d-65fc-e752117ad889@HIDDEN>
Date: Thu, 14 Oct 2021 19:09:02 +0300
In-Reply-To: <a79c4e69-37b8-961d-65fc-e752117ad889@HIDDEN> (martin rudalics's
 message of "Thu, 14 Oct 2021 11:13:33 +0200")
Message-ID: <87ilxzk3o1.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.5 (/)
X-Debbugs-Envelope-To: 50993
Cc: luangruo@HIDDEN, Eli Zaretskii <eliz@HIDDEN>, 50993 <at> debbugs.gnu.org,
 monnier@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.5 (-)

>> Please suggest how the shape of the mouse pointer could be changed
>> in [down-mouse-1], and restored in [drag-mouse-1].
>
> Have you tried setting a 'pointer' property on the entire text in the
> tab-bar window for that while?  Honestly, I have never looked into how
> the tab-bar is implemented.

Do you mean adding 'mouse-face highlight' to tab strings?
It has no effect on the tab bar.  Maybe something is missing
in note_tab_bar_highlight?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50993; Package emacs. Full text available.

Message received at 50993 <at> debbugs.gnu.org:


Received: (at 50993) by debbugs.gnu.org; 14 Oct 2021 09:35:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 14 05:35:58 2021
Received: from localhost ([127.0.0.1]:34676 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1max9a-0001kM-G2
	for submit <at> debbugs.gnu.org; Thu, 14 Oct 2021 05:35:58 -0400
Received: from eggs.gnu.org ([209.51.188.92]:59620)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1max9Z-0001k8-Dm
 for 50993 <at> debbugs.gnu.org; Thu, 14 Oct 2021 05:35:57 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:40346)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1max9Q-0005fK-D2; Thu, 14 Oct 2021 05:35:50 -0400
Received: from [87.69.77.57] (port=2418 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1max8t-0003yS-Et; Thu, 14 Oct 2021 05:35:45 -0400
Date: Thu, 14 Oct 2021 12:35:13 +0300
Message-Id: <83sfx4kkz2.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
In-Reply-To: <a79c4e69-37b8-961d-65fc-e752117ad889@HIDDEN> (message from
 martin rudalics on Thu, 14 Oct 2021 11:13:33 +0200)
Subject: Re: bug#50993: 29.0.50; Problems when dragging the mouse over the
 toolbar
References: <87r1d2b9e2.fsf.ref@HIDDEN> <83y270rd4j.fsf@HIDDEN>
 <jwv1r4svgxa.fsf-monnier+emacs@HIDDEN> <83lf30r8eq.fsf@HIDDEN>
 <jwvo87wtumc.fsf-monnier+emacs@HIDDEN> <877dekcsc1.fsf@HIDDEN>
 <bfac3335-23be-e3cf-76b9-1a68f2444548@HIDDEN> <87ily4aur8.fsf@HIDDEN>
 <44097514-26fb-fe2f-fb82-cfb819f13d2a@HIDDEN> <87k0ijalp8.fsf@HIDDEN>
 <a538cf46-7bd7-7d71-c32f-db94d6d7008b@HIDDEN> <878ryzafqk.fsf@HIDDEN>
 <dad767c3-c20e-801c-0139-eabf4f05ce0b@HIDDEN> <87wnmj85o2.fsf@HIDDEN>
 <c0ca683d-83b2-0543-162d-600ef56de43c@HIDDEN> <837deiqr3k.fsf@HIDDEN>
 <52bbc081-e8a2-91b6-2b27-0dba6d8971c0@HIDDEN> <83tuhmp793.fsf@HIDDEN>
 <cb1520e0-e38a-d879-93de-f369be1c7e9d@HIDDEN>
 <87lf2y6ncr.fsf@HIDDEN>
 <d86f0031-8d76-5ab5-8c94-80e7bad20789@HIDDEN>
 <87mtnc921p.fsf@HIDDEN> <a79c4e69-37b8-961d-65fc-e752117ad889@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 50993
Cc: juri@HIDDEN, luangruo@HIDDEN, 50993 <at> debbugs.gnu.org,
 monnier@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Cc: Eli Zaretskii <eliz@HIDDEN>, luangruo@HIDDEN,
>  monnier@HIDDEN, 50993 <at> debbugs.gnu.org
> From: martin rudalics <rudalics@HIDDEN>
> Date: Thu, 14 Oct 2021 11:13:33 +0200
> 
>  > I confirm that your patch breaks nothing.
> 
> Thanks.  I installed it meanwhile.  Does tab-dragging work on
> mouse-capable TTYs?

No, not AFAICT.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50993; Package emacs. Full text available.

Message received at 50993 <at> debbugs.gnu.org:


Received: (at 50993) by debbugs.gnu.org; 14 Oct 2021 09:13:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 14 05:13:46 2021
Received: from localhost ([127.0.0.1]:34643 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mawo6-0001BZ-Iz
	for submit <at> debbugs.gnu.org; Thu, 14 Oct 2021 05:13:46 -0400
Received: from mout.gmx.net ([212.227.15.18]:39367)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1mawo4-0001BM-Ua
 for 50993 <at> debbugs.gnu.org; Thu, 14 Oct 2021 05:13:45 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1634202814;
 bh=NMd0xGSZqxhpNFys5xTkXY4MVPVJh7I8cg78oMNlQh4=;
 h=X-UI-Sender-Class:Subject:To:Cc:References:From:Date:In-Reply-To;
 b=HpLN866rWCia33YLQoEivTskww998Nii8GCbDIU7AlOZA9/7IZqyKOS+w7KZFzDm2
 0HcBkDNe0ITI6svxvy8s+eUf99NlzhV/X8VUrkCEwO5kkfMqfrX1wvC2gGi3ebO91O
 0nhF3VoXwD32Kz7toQTowwTx8yFYMhsCyLWut5F4=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from [192.168.1.102] ([212.95.5.92]) by mail.gmx.net (mrgmx005
 [212.227.17.190]) with ESMTPSA (Nemesis) id 1MIMfW-1mVOLi0XNU-00EP97; Thu, 14
 Oct 2021 11:13:34 +0200
Subject: Re: bug#50993: 29.0.50; Problems when dragging the mouse over the
 toolbar
To: Juri Linkov <juri@HIDDEN>
References: <87r1d2b9e2.fsf.ref@HIDDEN> <83y270rd4j.fsf@HIDDEN>
 <jwv1r4svgxa.fsf-monnier+emacs@HIDDEN> <83lf30r8eq.fsf@HIDDEN>
 <jwvo87wtumc.fsf-monnier+emacs@HIDDEN> <877dekcsc1.fsf@HIDDEN>
 <bfac3335-23be-e3cf-76b9-1a68f2444548@HIDDEN> <87ily4aur8.fsf@HIDDEN>
 <44097514-26fb-fe2f-fb82-cfb819f13d2a@HIDDEN> <87k0ijalp8.fsf@HIDDEN>
 <a538cf46-7bd7-7d71-c32f-db94d6d7008b@HIDDEN> <878ryzafqk.fsf@HIDDEN>
 <dad767c3-c20e-801c-0139-eabf4f05ce0b@HIDDEN> <87wnmj85o2.fsf@HIDDEN>
 <c0ca683d-83b2-0543-162d-600ef56de43c@HIDDEN> <837deiqr3k.fsf@HIDDEN>
 <52bbc081-e8a2-91b6-2b27-0dba6d8971c0@HIDDEN> <83tuhmp793.fsf@HIDDEN>
 <cb1520e0-e38a-d879-93de-f369be1c7e9d@HIDDEN>
 <87lf2y6ncr.fsf@HIDDEN>
 <d86f0031-8d76-5ab5-8c94-80e7bad20789@HIDDEN>
 <87mtnc921p.fsf@HIDDEN>
From: martin rudalics <rudalics@HIDDEN>
Message-ID: <a79c4e69-37b8-961d-65fc-e752117ad889@HIDDEN>
Date: Thu, 14 Oct 2021 11:13:33 +0200
MIME-Version: 1.0
In-Reply-To: <87mtnc921p.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K1:sse5hQTIxc4wYB1JEbAtp7t7fadFvWjy+dvRKkvnJTfoB/rUwhh
 umbYbAHQrQKMZVgwVQ6gWo8Vh7BLAn22/CNRw8NROTM78Br6wLCT0HVVKBUd0uj3+QsgrTz
 FpGu0iD0Ueux0xwEaoYHR8fky9+DrL4EiMvLjZJ6v0vsX9B3rXFWj3Qjkf7H8GhnBRw9pvd
 OGvfMWG182asRJGeV+c9g==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:oVrUdnTlmNo=:pCVx88xHjZsV62qvgFj0fM
 nYVFlqamMzmFctqnUldTO5Nt7P2apzfh8qb+tiUCz4UESxQqFLwafpLDE1VZqgsHUuCtuxEUA
 E8bpBLu7Pq5Grm1H9GlAzVWPNytgzUye3mnUrqN+RsIvG58KOsKI36bVEOcv2oodd5MdGsoKP
 ZdCdDaPw3/DHcCQMacg9q4lKzML3gfJOhgG33U/MKZ/u2reVthsegtWn2pPATtxXvH4UB7SIY
 tTsduNL5rmrdn1fT3QG6+fhnilmuquVSh8RPT6UckRvhzIeBmVCYqAbqiU/0kok/fF1SVdCQD
 UL5qHobIWhajEFtLNtnZ67eFtgCo038ZT7TVEVivFkvqMVZAS89OnZkziWqixf00XsHL0NW2k
 3fu8xlUZSMRA0ReczBMSnLuAz4Skv0nAHoawvSCELV8Ue6KDNWYzusF8oBkPOaF1xRvkGbJlJ
 Wj7rK2KOhQKCgkTi8mp9cXEe0nNgd4dm4VkQg2+qBTZ/udeCko4FHxTfgQR5It2nnEA6dS9wO
 vnQWaOBe08/2/FXD5ir8kmirY4yoRltxtJ/rf6P2/WsfQIq5QOInlznbzoTCxrhQ6DQeVL9m8
 LCADVZiNjvvvrYzuHNi02R111uBPSINhkpUM0Fa5IQGFFzA/29+dN9z70wA58Pcc+n0ow3ken
 N6E8RfhFW57rrLwjsPMXT7678N9yo7X9j0+/JixCrckazUpNLNY63ay3iYTz5jILWX3jN2R9m
 Kl5qTfkN1IXdOvrwUjcKsb0yGIWr9ZEOzPHm6RNoHhcfdbBpaG/hzht+y0yuLD3oKa6SfTuek
 ezG6HyPFygBmkn5mAEycTr4d+CmnW+w7gjzp4uPWlAGHUQLgig=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 50993
Cc: luangruo@HIDDEN, Eli Zaretskii <eliz@HIDDEN>, 50993 <at> debbugs.gnu.org,
 monnier@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

 > I confirm that your patch breaks nothing.

Thanks.  I installed it meanwhile.  Does tab-dragging work on
mouse-capable TTYs?

 > Please suggest how the shape of the mouse pointer could be changed
 > in [down-mouse-1], and restored in [drag-mouse-1].

Have you tried setting a 'pointer' property on the entire text in the
tab-bar window for that while?  Honestly, I have never looked into how
the tab-bar is implemented.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50993; Package emacs. Full text available.

Message received at 50993 <at> debbugs.gnu.org:


Received: (at 50993) by debbugs.gnu.org; 14 Oct 2021 09:12:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 14 05:12:40 2021
Received: from localhost ([127.0.0.1]:34636 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mawn2-00019b-0i
	for submit <at> debbugs.gnu.org; Thu, 14 Oct 2021 05:12:40 -0400
Received: from mout.gmx.net ([212.227.15.15]:44677)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1mawmw-00019L-3J
 for 50993 <at> debbugs.gnu.org; Thu, 14 Oct 2021 05:12:38 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1634202742;
 bh=lT3ZNHMQTJOqMNBAvf97JccVzz1SLzoZ1NRTzWn+DCc=;
 h=X-UI-Sender-Class:Subject:To:Cc:References:From:Date:In-Reply-To;
 b=j61vMnh5PEZjkVQYZqDDoF+bgUACQxNriPlkvdmWvUd4WUtDm/gstkFNPIBzQ9eFb
 HEHgmQC6+HwpSJ0N5hMarGqiCSCCmkr1w/mbfRfhW/8/2s8Qx80+HwoC3Oop1twil4
 5f/lo5s0twrkXt9C6rZw87xPzZ9jXqmcwI3Tc5JM=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from [192.168.1.102] ([212.95.5.92]) by mail.gmx.net (mrgmx005
 [212.227.17.190]) with ESMTPSA (Nemesis) id 1MVeMA-1m9LD02bn2-00RY69; Thu, 14
 Oct 2021 11:12:22 +0200
Subject: Re: bug#50993: 29.0.50; Problems when dragging the mouse over the
 toolbar
To: Eli Zaretskii <eliz@HIDDEN>
References: <87r1d2b9e2.fsf.ref@HIDDEN> <87r1d2b9e2.fsf@HIDDEN>
 <83y270rd4j.fsf@HIDDEN> <jwv1r4svgxa.fsf-monnier+emacs@HIDDEN>
 <83lf30r8eq.fsf@HIDDEN> <jwvo87wtumc.fsf-monnier+emacs@HIDDEN>
 <877dekcsc1.fsf@HIDDEN> <bfac3335-23be-e3cf-76b9-1a68f2444548@HIDDEN>
 <87ily4aur8.fsf@HIDDEN> <44097514-26fb-fe2f-fb82-cfb819f13d2a@HIDDEN>
 <87k0ijalp8.fsf@HIDDEN> <a538cf46-7bd7-7d71-c32f-db94d6d7008b@HIDDEN>
 <878ryzafqk.fsf@HIDDEN> <dad767c3-c20e-801c-0139-eabf4f05ce0b@HIDDEN>
 <87wnmj85o2.fsf@HIDDEN> <c0ca683d-83b2-0543-162d-600ef56de43c@HIDDEN>
 <837deiqr3k.fsf@HIDDEN> <52bbc081-e8a2-91b6-2b27-0dba6d8971c0@HIDDEN>
 <83tuhmp793.fsf@HIDDEN> <cb1520e0-e38a-d879-93de-f369be1c7e9d@HIDDEN>
 <87lf2y6ncr.fsf@HIDDEN>
 <d86f0031-8d76-5ab5-8c94-80e7bad20789@HIDDEN> <83v921nl3p.fsf@HIDDEN>
From: martin rudalics <rudalics@HIDDEN>
Message-ID: <1fd69c2b-9a0a-dd48-06cd-68c7f8da651f@HIDDEN>
Date: Thu, 14 Oct 2021 11:12:20 +0200
MIME-Version: 1.0
In-Reply-To: <83v921nl3p.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K1:ThLaOYK8CCaSIPB3ZJ6kTaaH7B7pDsi5Vi4a/cBFYCIjHQJtztg
 7Pw2ZmUydiuNo1YDjEhy4PlDL68N/xghgAjaYJXzdMZv+rUGhtTC2fPgopxX3Yqvx7+DdTd
 iqv+2Mwa+1JnsOFK+0o07Bz0tn5dE0MRJQmvNAJEJdxBYQsmJebknV/7iHhE+tLQOm6k/l9
 MU124PI1B/w8Ob5PCDv+A==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:8CHPqBBJ9EE=:dtNqizGz3LnD05hXZOZPMY
 R8SHrI0pyGbnGtPxJbb5LyNKJKUDOm6dOp9msTGESOJ/ODyu7I2RttUdDd6Xhe+OwFkMTF+y+
 Z3iUB/nbgitcZQciyICmlbKFC+baMkjvbk+P2eP2dK5yEJogxfb5Ocv9QEFsYbHl55vf5npuk
 bpQORkqbzqIqTuNOZkGTNtM5S5iiGmU5XJdldxmfYS2MTH0iT/IlyWXwsdaeQ9Pm3/GzQsC47
 Cxlb3Hmwm1LCsIZ3Dg38fWZykjaJYpuzoUxNBPVDonpA9L95/ynjCQXOmZ24wo5SkA47S35zO
 e/Bcm2Nxz/1HHSHG4qhbnlXX8FxSCciJQn2nts7we9afJyVKoez/3gfrzd/IH5BwmWn8c52/Z
 KvbmBZasjHVIPCKOKgNW7SWq2B2Q43YymT4Bk0pSyy5Nlb26No+AmE56qJBsFSGkHN+zoJQ4a
 v22S4DD216A3Xmo79fNQdx85vsu8pEaM4tbLG3r/ZkDhJVZJntwuBqfMId9aDhRAfLGH98Tvt
 uIhEdO8YeDZcwX0OmHLGOOkFe/joAQZtXGJZblHFaxhwUIm7vFcqD/LZrs0dA9n2Zw2wvBXqA
 ayZ2IA7LvE8ajRBzBDOd+GEoUaVCy6aPCq2dTgZclimwixeCQP68d/4nbZS/4u0Nze24cG4O6
 fbtaXwYxZUPti8nVhiEQZ9nrmTG2FRt7Oc6aVfYmUQn9P62OKWOwUWGpYTa03lKDWFmb9Pi+x
 ZFOfg5w4O+r27PPD7+GWH70dXGu62/S9s+C7xvFI+OGykx7iF+2n0FwtjZM3nS0GpMOfvhSVK
 RpsBU8CTqSrcmx3YUyriP9/kk+SDa+z6IfNgHCNv7dpFcv5nX37MwFUNNRCqFjUwnZLBpSnqM
 JOkAc0hKcXAnD2phVtIVFBKotcaD7ItgFIBQYjqUsUY17NZVbe+5lHLWiMO1uG2nGDRkZcPxo
 Qz2Tp48ET3F371HlgQFBcGojM80nbvUfZVMv9KCmI9a675GuttiiRTuRB5YnSYWGdjEjL6Tc4
 BMA0W39+fSq6IcmDmR12qP1BmrLmpX4jPKyEABIQjYfg0DRpHVEZDUmrRedDT27LwWRjoYPnA
 b66ltRLI4sVE/4=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 50993
Cc: juri@HIDDEN, luangruo@HIDDEN, 50993 <at> debbugs.gnu.org,
 monnier@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

 > OK, then please install your fix with the adjustments pointed out in
 > this discussion.

Done, hopefully.  Maybe, in the light of Bug#51199 (which I consider as
something to unconditionally fix before the release), we find a better
solution.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50993; Package emacs. Full text available.

Message received at 50993 <at> debbugs.gnu.org:


Received: (at 50993) by debbugs.gnu.org; 13 Oct 2021 19:10:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 13 15:10:43 2021
Received: from localhost ([127.0.0.1]:33463 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1majeE-0007bY-QA
	for submit <at> debbugs.gnu.org; Wed, 13 Oct 2021 15:10:42 -0400
Received: from relay1-d.mail.gandi.net ([217.70.183.193]:40105)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1majeC-0007bB-Oj
 for 50993 <at> debbugs.gnu.org; Wed, 13 Oct 2021 15:10:41 -0400
Received: (Authenticated sender: juri@HIDDEN)
 by relay1-d.mail.gandi.net (Postfix) with ESMTPSA id AC867240004;
 Wed, 13 Oct 2021 19:10:32 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#50993: 29.0.50; Problems when dragging the mouse over the
 toolbar
Organization: LINKOV.NET
References: <87r1d2b9e2.fsf.ref@HIDDEN> <83y270rd4j.fsf@HIDDEN>
 <jwv1r4svgxa.fsf-monnier+emacs@HIDDEN> <83lf30r8eq.fsf@HIDDEN>
 <jwvo87wtumc.fsf-monnier+emacs@HIDDEN> <877dekcsc1.fsf@HIDDEN>
 <bfac3335-23be-e3cf-76b9-1a68f2444548@HIDDEN>
 <87ily4aur8.fsf@HIDDEN>
 <44097514-26fb-fe2f-fb82-cfb819f13d2a@HIDDEN>
 <87k0ijalp8.fsf@HIDDEN>
 <a538cf46-7bd7-7d71-c32f-db94d6d7008b@HIDDEN>
 <878ryzafqk.fsf@HIDDEN>
 <dad767c3-c20e-801c-0139-eabf4f05ce0b@HIDDEN>
 <87wnmj85o2.fsf@HIDDEN>
 <c0ca683d-83b2-0543-162d-600ef56de43c@HIDDEN> <837deiqr3k.fsf@HIDDEN>
 <52bbc081-e8a2-91b6-2b27-0dba6d8971c0@HIDDEN> <83tuhmp793.fsf@HIDDEN>
 <cb1520e0-e38a-d879-93de-f369be1c7e9d@HIDDEN>
 <87lf2y6ncr.fsf@HIDDEN>
 <d86f0031-8d76-5ab5-8c94-80e7bad20789@HIDDEN>
Date: Wed, 13 Oct 2021 22:07:14 +0300
In-Reply-To: <d86f0031-8d76-5ab5-8c94-80e7bad20789@HIDDEN> (martin rudalics's
 message of "Wed, 13 Oct 2021 10:36:55 +0200")
Message-ID: <87mtnc921p.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.5 (/)
X-Debbugs-Envelope-To: 50993
Cc: luangruo@HIDDEN, Eli Zaretskii <eliz@HIDDEN>, 50993 <at> debbugs.gnu.org,
 monnier@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.5 (-)

>> Tab dragging is implemented in tab-bar.el with this:
>>
>>    (define-key map [drag-mouse-1] 'tab-bar-mouse-move-tab)
>
> That's harmless because it doesn't use mouse-movement.

I confirm that your patch breaks nothing.

> IIUC dragging tabs from one frame to another is not supported (yet).

Yep, not yet.

> BTW the shape of the mouse pointer should change while dragging tabs.
> Currently there's absolutely no feedback wrt what's going on.

Please suggest how the shape of the mouse pointer could be changed
in [down-mouse-1], and restored in [drag-mouse-1].




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50993; Package emacs. Full text available.

Message received at 50993 <at> debbugs.gnu.org:


Received: (at 50993) by debbugs.gnu.org; 13 Oct 2021 12:52:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 13 08:52:18 2021
Received: from localhost ([127.0.0.1]:58949 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1madjv-0008WU-0S
	for submit <at> debbugs.gnu.org; Wed, 13 Oct 2021 08:52:18 -0400
Received: from eggs.gnu.org ([209.51.188.92]:48174)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1madjr-0008WG-6H
 for 50993 <at> debbugs.gnu.org; Wed, 13 Oct 2021 08:52:09 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:58230)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1madjk-0004Re-JL; Wed, 13 Oct 2021 08:52:00 -0400
Received: from [87.69.77.57] (port=4766 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1madjk-0000wk-6z; Wed, 13 Oct 2021 08:52:00 -0400
Date: Wed, 13 Oct 2021 15:51:54 +0300
Message-Id: <83v921nl3p.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
In-Reply-To: <d86f0031-8d76-5ab5-8c94-80e7bad20789@HIDDEN> (message from
 martin rudalics on Wed, 13 Oct 2021 10:36:55 +0200)
Subject: Re: bug#50993: 29.0.50; Problems when dragging the mouse over the
 toolbar
References: <87r1d2b9e2.fsf.ref@HIDDEN> <87r1d2b9e2.fsf@HIDDEN>
 <83y270rd4j.fsf@HIDDEN> <jwv1r4svgxa.fsf-monnier+emacs@HIDDEN>
 <83lf30r8eq.fsf@HIDDEN> <jwvo87wtumc.fsf-monnier+emacs@HIDDEN>
 <877dekcsc1.fsf@HIDDEN> <bfac3335-23be-e3cf-76b9-1a68f2444548@HIDDEN>
 <87ily4aur8.fsf@HIDDEN> <44097514-26fb-fe2f-fb82-cfb819f13d2a@HIDDEN>
 <87k0ijalp8.fsf@HIDDEN> <a538cf46-7bd7-7d71-c32f-db94d6d7008b@HIDDEN>
 <878ryzafqk.fsf@HIDDEN> <dad767c3-c20e-801c-0139-eabf4f05ce0b@HIDDEN>
 <87wnmj85o2.fsf@HIDDEN> <c0ca683d-83b2-0543-162d-600ef56de43c@HIDDEN>
 <837deiqr3k.fsf@HIDDEN> <52bbc081-e8a2-91b6-2b27-0dba6d8971c0@HIDDEN>
 <83tuhmp793.fsf@HIDDEN> <cb1520e0-e38a-d879-93de-f369be1c7e9d@HIDDEN>
 <87lf2y6ncr.fsf@HIDDEN> <d86f0031-8d76-5ab5-8c94-80e7bad20789@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 50993
Cc: juri@HIDDEN, luangruo@HIDDEN, 50993 <at> debbugs.gnu.org,
 monnier@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Cc: Eli Zaretskii <eliz@HIDDEN>, luangruo@HIDDEN,
>  monnier@HIDDEN, 50993 <at> debbugs.gnu.org
> From: martin rudalics <rudalics@HIDDEN>
> Date: Wed, 13 Oct 2021 10:36:55 +0200
> 
>  >> I don't see no tab dragging implemented anywhere.  Maybe Juri can tell
>  >> us more.  Are you sure you don't mean scrolling the tab-bar?
>  >
>  > Tab dragging is implemented in tab-bar.el with this:
>  >
>  >    (define-key map [drag-mouse-1] 'tab-bar-mouse-move-tab)
> 
> That's harmless because it doesn't use mouse-movement.  IIUC dragging
> tabs from one frame to another is not supported (yet).

OK, then please install your fix with the adjustments pointed out in
this discussion.

> BTW the shape of the mouse pointer should change while dragging
> tabs.  Currently there's absolutely no feedback wrt what's going on.

Yes, I said that much to Juri some time ago, but AFAIU he thinks it's
better than not having this at all.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50993; Package emacs. Full text available.

Message received at 50993 <at> debbugs.gnu.org:


Received: (at 50993) by debbugs.gnu.org; 13 Oct 2021 08:37:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 13 04:37:10 2021
Received: from localhost ([127.0.0.1]:58008 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1maZl8-0001AJ-HO
	for submit <at> debbugs.gnu.org; Wed, 13 Oct 2021 04:37:10 -0400
Received: from mout.gmx.net ([212.227.15.15]:48835)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1maZl5-00019Y-PP
 for 50993 <at> debbugs.gnu.org; Wed, 13 Oct 2021 04:37:09 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1634114217;
 bh=tOgvCDHmssa9A8HAVD4/miYI1zM2THn5sGEoy30Sh5w=;
 h=X-UI-Sender-Class:Subject:To:Cc:References:From:Date:In-Reply-To;
 b=b3MU9CjYh2lUn41rlo9vKaUMGyprkppdVDPrCYYRNmwcNExjsxrIo3DLCl3El5opZ
 s/ectgF82wm/PGLn1XvXzYzQ2K9fqFMfdOLo0HL7VRPyr9azlSauk2YhYnMKEuP3J7
 gwH8lZHQPnBWmsW3ENO8q9DfSIO/m6N3GJLYe+V0=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from [192.168.1.102] ([212.95.5.69]) by mail.gmx.net (mrgmx005
 [212.227.17.190]) with ESMTPSA (Nemesis) id 1MBm1e-1mSuF23dRU-00CDxy; Wed, 13
 Oct 2021 10:36:56 +0200
Subject: Re: bug#50993: 29.0.50; Problems when dragging the mouse over the
 toolbar
To: Juri Linkov <juri@HIDDEN>
References: <87r1d2b9e2.fsf.ref@HIDDEN> <87r1d2b9e2.fsf@HIDDEN>
 <83y270rd4j.fsf@HIDDEN> <jwv1r4svgxa.fsf-monnier+emacs@HIDDEN>
 <83lf30r8eq.fsf@HIDDEN> <jwvo87wtumc.fsf-monnier+emacs@HIDDEN>
 <877dekcsc1.fsf@HIDDEN> <bfac3335-23be-e3cf-76b9-1a68f2444548@HIDDEN>
 <87ily4aur8.fsf@HIDDEN> <44097514-26fb-fe2f-fb82-cfb819f13d2a@HIDDEN>
 <87k0ijalp8.fsf@HIDDEN> <a538cf46-7bd7-7d71-c32f-db94d6d7008b@HIDDEN>
 <878ryzafqk.fsf@HIDDEN> <dad767c3-c20e-801c-0139-eabf4f05ce0b@HIDDEN>
 <87wnmj85o2.fsf@HIDDEN> <c0ca683d-83b2-0543-162d-600ef56de43c@HIDDEN>
 <837deiqr3k.fsf@HIDDEN> <52bbc081-e8a2-91b6-2b27-0dba6d8971c0@HIDDEN>
 <83tuhmp793.fsf@HIDDEN> <cb1520e0-e38a-d879-93de-f369be1c7e9d@HIDDEN>
 <87lf2y6ncr.fsf@HIDDEN>
From: martin rudalics <rudalics@HIDDEN>
Message-ID: <d86f0031-8d76-5ab5-8c94-80e7bad20789@HIDDEN>
Date: Wed, 13 Oct 2021 10:36:55 +0200
MIME-Version: 1.0
In-Reply-To: <87lf2y6ncr.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K1:sQW2LCeEhD4QeRlmRdfcXf4CLJznBUFNcfOoRKUDKcpgshcjGP2
 3aGI4unlaZ0CthnFfoctOWt8HpJ8ntJuz3GgS3x/LAqM3wUHTWfLUvRZVLUC5n3ESkl3xMn
 vnX2yHQA1bSGtrwBY+HmvAECJToeuU8FvUBl7lSModAtNd4dglkuDur+3X6X0upW+PiISsj
 9U5OV7TNxngbmFneJ09aA==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:xEhE+2J8YC0=:dOkEXbqJycPIbVXr/67dpf
 DW+9Pph3PaCsCh4ET9sUx4sIfepMt5kSil6HqA632dtGmjEJT7PiMhmUjRQuonUCBAaRp2lG0
 MF8yW/y+P4Wz4aYwbXFeRNP5GD9ry8zg4bEmaNzJbO8JuiN6151sQ8OuUECAfnHx+boJfOtwO
 C74Dk3zhAHHLfAZ++ULb5s5Qbq9w7ijLT8mVtFgMP1keo9bvBAzxjvBGzDgbxh0+twqX7HSOg
 iGIG2/DiCBKr0mz4+3rAwaZejCKqBMbujoeQlTi1NBh2m2z3NnJYPdwCUZtCD1qxbfp4u156B
 Kjcfq/w8i+5NoxViX/+MARElqEeC9oYYLbmLgpgW8VvrPQqFnOLjx1zLXhQ/7R1r08tMbN5hs
 zesVXN+wgG4AGoL9ueBhu2zNquhdBpoLcCOLNajTf1fhM8Q5UxUWvpAh7Of+DRH2/8wpYfKYL
 U8WcNHpyjIhJs67Dl+17SfVRuXxgX1UZOB+A/CDAK/rLYFZ5rrPHcMrILKSP4mAKqDOqyYlEa
 bnjDGBVbwuyLQx1JO+MsOeK/aqFbfa1XiX7rRkqb8OeD50AIz7dBbnfTLQq/uwnGw/LiDjMD2
 GvVUTMyncp19tW2UHcEAP9Kn0FLkf/a8dS5I1j4WR3/g0MKHL3A3SXY0WgkfX62B72o81IrAi
 H7IkVSViMsV9B1Q59eFhGDzQ/ZKuttlJNq0EwwNHflxFdAXzrhUSpeISjUjk7+VOvTTB638YW
 +9ZYVUdVG+Y1hPqI/kO3T4XMeGSDS6WBo02i3VRtYzzYM5Hgc5HUwqxbkS02qvxhj5AXr1PfO
 qr69tI6EiyWh8vvJarEvf9o6bwp/PELs5ABm/vO5+n1+wZ9EXZlvd3s+E67hfCEt+vmk603GZ
 Wtex5DodlXwf/mA6cPP19Zs2g+LJczSFEwpzcIe3PtkTHOhLgYgX+s0dV3RtwyCd+D1GO7rYV
 IyWr2ixl9mYjy7mwAF4kpImWPaqs76m4wuNo0w/YTsTxwWCejTK4pfr1IMMN0GRwotFyYaypR
 lJky+DKEt02CVl8PBLF3Zo2pQdjWwb2gygITh4Y4j3gksSOAmiqjmmeeU2t0F6IGYc2f5S/Hy
 tOFeWI/YBStE5U=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 50993
Cc: luangruo@HIDDEN, Eli Zaretskii <eliz@HIDDEN>, 50993 <at> debbugs.gnu.org,
 monnier@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

 >> I don't see no tab dragging implemented anywhere.  Maybe Juri can tell
 >> us more.  Are you sure you don't mean scrolling the tab-bar?
 >
 > Tab dragging is implemented in tab-bar.el with this:
 >
 >    (define-key map [drag-mouse-1] 'tab-bar-mouse-move-tab)

That's harmless because it doesn't use mouse-movement.  IIUC dragging
tabs from one frame to another is not supported (yet).  BTW the shape of
the mouse pointer should change while dragging tabs.  Currently there's
absolutely no feedback wrt what's going on.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50993; Package emacs. Full text available.

Message received at 50993 <at> debbugs.gnu.org:


Received: (at 50993) by debbugs.gnu.org; 12 Oct 2021 19:59:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 12 15:59:08 2021
Received: from localhost ([127.0.0.1]:54112 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1maNvY-0008AT-DL
	for submit <at> debbugs.gnu.org; Tue, 12 Oct 2021 15:59:08 -0400
Received: from relay9-d.mail.gandi.net ([217.70.183.199]:56717)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1maNvU-00089x-T5
 for 50993 <at> debbugs.gnu.org; Tue, 12 Oct 2021 15:59:06 -0400
Received: (Authenticated sender: juri@HIDDEN)
 by relay9-d.mail.gandi.net (Postfix) with ESMTPSA id EC66CFF804;
 Tue, 12 Oct 2021 19:58:56 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#50993: 29.0.50; Problems when dragging the mouse over the
 toolbar
Organization: LINKOV.NET
References: <87r1d2b9e2.fsf.ref@HIDDEN> <87r1d2b9e2.fsf@HIDDEN>
 <83y270rd4j.fsf@HIDDEN> <jwv1r4svgxa.fsf-monnier+emacs@HIDDEN>
 <83lf30r8eq.fsf@HIDDEN> <jwvo87wtumc.fsf-monnier+emacs@HIDDEN>
 <877dekcsc1.fsf@HIDDEN>
 <bfac3335-23be-e3cf-76b9-1a68f2444548@HIDDEN>
 <87ily4aur8.fsf@HIDDEN>
 <44097514-26fb-fe2f-fb82-cfb819f13d2a@HIDDEN>
 <87k0ijalp8.fsf@HIDDEN>
 <a538cf46-7bd7-7d71-c32f-db94d6d7008b@HIDDEN>
 <878ryzafqk.fsf@HIDDEN>
 <dad767c3-c20e-801c-0139-eabf4f05ce0b@HIDDEN>
 <87wnmj85o2.fsf@HIDDEN>
 <c0ca683d-83b2-0543-162d-600ef56de43c@HIDDEN> <837deiqr3k.fsf@HIDDEN>
 <52bbc081-e8a2-91b6-2b27-0dba6d8971c0@HIDDEN> <83tuhmp793.fsf@HIDDEN>
 <cb1520e0-e38a-d879-93de-f369be1c7e9d@HIDDEN>
Date: Tue, 12 Oct 2021 22:23:00 +0300
In-Reply-To: <cb1520e0-e38a-d879-93de-f369be1c7e9d@HIDDEN> (martin rudalics's
 message of "Tue, 12 Oct 2021 19:27:17 +0200")
Message-ID: <87lf2y6ncr.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.5 (/)
X-Debbugs-Envelope-To: 50993
Cc: luangruo@HIDDEN, Eli Zaretskii <eliz@HIDDEN>, 50993 <at> debbugs.gnu.org,
 monnier@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.5 (-)

>> Dragging tabs is already supported, I think?  Did you check that it
>> still works after that change?
>
> I don't see no tab dragging implemented anywhere.  Maybe Juri can tell
> us more.  Are you sure you don't mean scrolling the tab-bar?

Tab dragging is implemented in tab-bar.el with this:

  (define-key map [drag-mouse-1] 'tab-bar-mouse-move-tab)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50993; Package emacs. Full text available.

Message received at 50993 <at> debbugs.gnu.org:


Received: (at 50993) by debbugs.gnu.org; 12 Oct 2021 17:28:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 12 13:28:08 2021
Received: from localhost ([127.0.0.1]:52261 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1maLZQ-0000PI-7w
	for submit <at> debbugs.gnu.org; Tue, 12 Oct 2021 13:28:08 -0400
Received: from mout.gmx.net ([212.227.17.21]:55653)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1maLZN-0000OY-ML
 for 50993 <at> debbugs.gnu.org; Tue, 12 Oct 2021 13:28:06 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1634059672;
 bh=Auk82PXc5see+E2wG5hm0EtqPGLMq7+BZm5nHBekRM4=;
 h=X-UI-Sender-Class:Subject:To:Cc:References:From:Date:In-Reply-To;
 b=U3gGYx7BP3g9L398C48aSyjGc/mqLpoeVYfJPPCCfpkZEoDk5OvrqPxnYjVrB0Uiq
 9wtT/5CZ5esE7H6+Llu9yFsd45KXZ5ZMPrIZZalbsz46NS8WcfP7B8M6ZHiRdDN9m5
 cVRzpmo1Fm0Y2jOEpX2cP5hVRCJIv4hGVtaD3oTA=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from [192.168.1.102] ([213.142.96.136]) by mail.gmx.net (mrgmx105
 [212.227.17.168]) with ESMTPSA (Nemesis) id 1M1Hdq-1md6ir2m1S-002que; Tue, 12
 Oct 2021 19:27:52 +0200
Subject: Re: bug#50993: 29.0.50; Problems when dragging the mouse over the
 toolbar
To: Eli Zaretskii <eliz@HIDDEN>
References: <87r1d2b9e2.fsf.ref@HIDDEN> <87r1d2b9e2.fsf@HIDDEN>
 <83y270rd4j.fsf@HIDDEN> <jwv1r4svgxa.fsf-monnier+emacs@HIDDEN>
 <83lf30r8eq.fsf@HIDDEN> <jwvo87wtumc.fsf-monnier+emacs@HIDDEN>
 <877dekcsc1.fsf@HIDDEN> <bfac3335-23be-e3cf-76b9-1a68f2444548@HIDDEN>
 <87ily4aur8.fsf@HIDDEN> <44097514-26fb-fe2f-fb82-cfb819f13d2a@HIDDEN>
 <87k0ijalp8.fsf@HIDDEN> <a538cf46-7bd7-7d71-c32f-db94d6d7008b@HIDDEN>
 <878ryzafqk.fsf@HIDDEN> <dad767c3-c20e-801c-0139-eabf4f05ce0b@HIDDEN>
 <87wnmj85o2.fsf@HIDDEN> <c0ca683d-83b2-0543-162d-600ef56de43c@HIDDEN>
 <837deiqr3k.fsf@HIDDEN> <52bbc081-e8a2-91b6-2b27-0dba6d8971c0@HIDDEN>
 <83tuhmp793.fsf@HIDDEN>
From: martin rudalics <rudalics@HIDDEN>
Message-ID: <cb1520e0-e38a-d879-93de-f369be1c7e9d@HIDDEN>
Date: Tue, 12 Oct 2021 19:27:17 +0200
MIME-Version: 1.0
In-Reply-To: <83tuhmp793.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K1:CI8Le46YyX0ncXD82xfA4Yw/apfT2IGCte/Yl00dNVGYsbsCxGj
 jk6lZyhz2jxIU1R+K9cqd/gXuYLS25FF//2j1FhW90P+Eny7Hwph6qWmNUHV9pYpr/eoJ3q
 jI4uuK3BvnpjsIHgPya/lCWXloigIPvhpzjLAcq3j0lKJ1nMxtwCj/uNqOLTUiagBO0SuVZ
 uddrfYcnqEdSConf5t8VQ==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:8SbrrinUSuE=:4u6XftjyGrYH3MfYWZ2+Yt
 dc+WKHgzkfzq3BS1FzoXyonCtWfrYj0s/LMsU7q1dPVOe+bNAWTnR9z7rRn2iNcIoULvP3Nc2
 sDjZrlWD+P8+78NjMDsI+Zbh3qAIK69siS1L9tBd9tMVaFD5eTxncR6TRWf7OKUAJ8UYwbcAS
 XQ3aJd5Ib6bXJwHcXlXOo1VgESGzB2GlkSq3PRjlIZTjEwHDlWYyf46aTewhP9JXNeHemr3I1
 S21WDb9UXQEbQfgrTHV0m0b4Ib5+b1p2lH8EDG2zmR56Tue5uDDCkPvjAgHhsykHZd3QNdN/3
 6IVsYUwyoaMvMol1nP79ev3gXhSk9d8IbBvqycGepe84csVj0/X1Ulb/cZG0FL/L4XHIDvokS
 cO7fL6aJsCANMeQT6P6F9qqm7UCmoJ9x89wlOnbVV+Mf/h3xhG+NTutqR2/dTNWiwv1x51haR
 eY3xH74pBdkYCpadlJQqypRV51eJP4GLfyIOFMsbnjBV2Jsk5DxlKzNR6VgJMOcAjlMUsQRvc
 NF9viOR01hJT5+ZFnV46UPrLTOV9sPZatcznKgbKHN0cT3ks/yLzQb4q84EAL/C3M1IDs/rCU
 d85YepvwF0xtVz1Z8nIik5Rct05Gpa+JCt/6be7VwiuHLqEx3M82No/8p/tUNLFU0B8xLtULB
 OhEv+YW2GXcbOvjFtKt5UsYHC5d1wKWBmCxwjIWEoG7qxqqOOT7obEB3qDvEV5kfY2QF2tHXp
 nQ1qpy36bXfPBEJzVSrYnQOdI7K4K38ak6zXGsNhgdg1zyo1ZWaMlw8w2ErVyq+QPIvWSXpE+
 4jdiTim2Xedi3wqAek1yP3MQkmFn+LD7X7YImYa0YKZeUjsCnkDjoNZnDdz9xV2LSwPvBr/Nb
 b9TFeMoJUR1eqzvHxVcieUVTRuBmg3WknCyLR6kB/7PnsPPl8xlKOHte7JlgSYCrEE8hNLpm0
 gINi+++9QmK/VfZg2Fk4GesJZI7E4hSBFsz01t7C6LrVZdFSsbAXeqf3IP7ce3DNZA/PTeYsP
 NKM9h1GmuQxjyg0bMhWUcs7vyA330BgBqcOV0CBsk4k/Nkk0BIhovWIEUaPE/p/1VOj0lFCb1
 mx3Jsk4chjehAw=
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 50993
Cc: luangruo@HIDDEN, Juri Linkov <juri@HIDDEN>, 50993 <at> debbugs.gnu.org,
 monnier@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Possibly resending - the last attempt to send this apparently failed.

 > Dragging tabs is already supported, I think?  Did you check that it
 > still works after that change?

I don't see no tab dragging implemented anywhere.  Maybe Juri can tell
us more.  Are you sure you don't mean scrolling the tab-bar?

 > Anyway, we should have a big FIXME comment near that code to document
 > what you say above.

We can do that.  But before implementing something like tab dragging,
someone will have to find out how to handle tab-bar prefixes with the
keymap based 'mouse-drag-track'.  I bet that the first person to
implement mouse-dragging on the tab-bar will use 'track-mouse' and an
event based approach, side-stepping the current issue.  So IMHO the
thing that really needs a FIXME is 'mouse-drag-track'.

 > And I'm not sure I understand: that single change with the
 > mouse-tracking condition is the only one needed to fix this bug's
 > original report?  Including when there's no tool bar and no tab bar,
 > only one of them, or both of them?

It hopefully fixes all sorts of mouse dragging which are currently
broken including 'mouse-drag-and-drop-region'.  Testing all of them with
all builds and issues is beyond the scope of what I reasonably can do.
But I did test quite a few.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50993; Package emacs. Full text available.

Message received at 50993 <at> debbugs.gnu.org:


Received: (at 50993) by debbugs.gnu.org; 12 Oct 2021 15:56:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 12 11:56:19 2021
Received: from localhost ([127.0.0.1]:49934 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1maK8Y-0002NF-NK
	for submit <at> debbugs.gnu.org; Tue, 12 Oct 2021 11:56:19 -0400
Received: from eggs.gnu.org ([209.51.188.92]:53540)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1maK8N-0002MO-Bc
 for 50993 <at> debbugs.gnu.org; Tue, 12 Oct 2021 11:56:17 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:45994)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1maK8H-00058a-DC; Tue, 12 Oct 2021 11:56:01 -0400
Received: from [87.69.77.57] (port=2692 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1maK8G-0006G5-Q5; Tue, 12 Oct 2021 11:56:01 -0400
Date: Tue, 12 Oct 2021 18:55:52 +0300
Message-Id: <83tuhmp793.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
In-Reply-To: <52bbc081-e8a2-91b6-2b27-0dba6d8971c0@HIDDEN> (message from
 martin rudalics on Tue, 12 Oct 2021 16:25:08 +0200)
Subject: Re: bug#50993: 29.0.50; Problems when dragging the mouse over the
 toolbar
References: <87r1d2b9e2.fsf.ref@HIDDEN> <87r1d2b9e2.fsf@HIDDEN>
 <83y270rd4j.fsf@HIDDEN> <jwv1r4svgxa.fsf-monnier+emacs@HIDDEN>
 <83lf30r8eq.fsf@HIDDEN> <jwvo87wtumc.fsf-monnier+emacs@HIDDEN>
 <877dekcsc1.fsf@HIDDEN> <bfac3335-23be-e3cf-76b9-1a68f2444548@HIDDEN>
 <87ily4aur8.fsf@HIDDEN> <44097514-26fb-fe2f-fb82-cfb819f13d2a@HIDDEN>
 <87k0ijalp8.fsf@HIDDEN> <a538cf46-7bd7-7d71-c32f-db94d6d7008b@HIDDEN>
 <878ryzafqk.fsf@HIDDEN> <dad767c3-c20e-801c-0139-eabf4f05ce0b@HIDDEN>
 <87wnmj85o2.fsf@HIDDEN> <c0ca683d-83b2-0543-162d-600ef56de43c@HIDDEN>
 <837deiqr3k.fsf@HIDDEN> <52bbc081-e8a2-91b6-2b27-0dba6d8971c0@HIDDEN>
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 50993
Cc: luangruo@HIDDEN, 50993 <at> debbugs.gnu.org, monnier@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Cc: luangruo@HIDDEN, monnier@HIDDEN, 50993 <at> debbugs.gnu.org
> From: martin rudalics <rudalics@HIDDEN>
> Date: Tue, 12 Oct 2021 16:25:08 +0200
> 
>  >> If nobody objects I'll push this to Emacs 28 in the next days.
>  >
>  > Rationale?  It means no mouse movement on the tool bar or tab bar will
>  > ever be reported as such.
> 
> When mouse tracking is enabled, yes.  As soon as people decide that they
> want to track the mouse from or to the tool or tab bar or within it -
> for example, to drag tabs from one position to another or to drag tool
> bar icons from some window displaying all possible icons to the tool bar
> or vice versa - we can make that check react to other special values
> than 'dragging' or 'dropping'.

Dragging tabs is already supported, I think?  Did you check that it
still works after that change?

Anyway, we should have a big FIXME comment near that code to document
what you say above.

And I'm not sure I understand: that single change with the
mouse-tracking condition is the only one needed to fix this bug's
original report?  Including when there's no tool bar and no tab bar,
only one of them, or both of them?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50993; Package emacs. Full text available.

Message received at 50993 <at> debbugs.gnu.org:


Received: (at 50993) by debbugs.gnu.org; 12 Oct 2021 14:25:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 12 10:25:26 2021
Received: from localhost ([127.0.0.1]:44586 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1maIib-0002FB-Rl
	for submit <at> debbugs.gnu.org; Tue, 12 Oct 2021 10:25:26 -0400
Received: from mout.gmx.net ([212.227.17.22]:36127)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1maIia-0002Ep-Ac
 for 50993 <at> debbugs.gnu.org; Tue, 12 Oct 2021 10:25:24 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1634048712;
 bh=KIvylx4Qpi6O/91GmK0ZZhCXYaD8MciWDCDMq+VQ0r0=;
 h=X-UI-Sender-Class:Subject:To:Cc:References:From:Date:In-Reply-To;
 b=bZ02UdEV09cxdbvMaxDX4VlydyhT97VVUR5a/MyDgQMUXLWxzlbUVLuzpoiS0C6dU
 Vg4Hj4RYBLwOQ2KL2JsTigVqoTgQB6oTIM7WVWkL+7/vrJIb21S2ZSGqobLQywHlPc
 Sxm9G/NQORkGFvzexSD+b7IEUnE50MZLeqqzldRY=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from [192.168.1.102] ([212.95.5.38]) by mail.gmx.net (mrgmx105
 [212.227.17.168]) with ESMTPSA (Nemesis) id 1MhU5b-1nE17U3oBv-00egpc; Tue, 12
 Oct 2021 16:25:12 +0200
Subject: Re: bug#50993: 29.0.50; Problems when dragging the mouse over the
 toolbar
To: Eli Zaretskii <eliz@HIDDEN>
References: <87r1d2b9e2.fsf.ref@HIDDEN> <87r1d2b9e2.fsf@HIDDEN>
 <83y270rd4j.fsf@HIDDEN> <jwv1r4svgxa.fsf-monnier+emacs@HIDDEN>
 <83lf30r8eq.fsf@HIDDEN> <jwvo87wtumc.fsf-monnier+emacs@HIDDEN>
 <877dekcsc1.fsf@HIDDEN> <bfac3335-23be-e3cf-76b9-1a68f2444548@HIDDEN>
 <87ily4aur8.fsf@HIDDEN> <44097514-26fb-fe2f-fb82-cfb819f13d2a@HIDDEN>
 <87k0ijalp8.fsf@HIDDEN> <a538cf46-7bd7-7d71-c32f-db94d6d7008b@HIDDEN>
 <878ryzafqk.fsf@HIDDEN> <dad767c3-c20e-801c-0139-eabf4f05ce0b@HIDDEN>
 <87wnmj85o2.fsf@HIDDEN> <c0ca683d-83b2-0543-162d-600ef56de43c@HIDDEN>
 <837deiqr3k.fsf@HIDDEN>
From: martin rudalics <rudalics@HIDDEN>
Message-ID: <52bbc081-e8a2-91b6-2b27-0dba6d8971c0@HIDDEN>
Date: Tue, 12 Oct 2021 16:25:08 +0200
MIME-Version: 1.0
In-Reply-To: <837deiqr3k.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K1:FZej41sJ6uRbCFn3udbBhegOk7u1FaZc4q8nveIuxOSC4vjYDaj
 +WqNKzFyKvfwuOVNYgHpr3f/55zsMgEKeOpkaj6jtlhgD456k/J4UqCeaDkyI++IQoHZeX3
 lTSaBvQcSV1qfJ6Qu89e/AldKwZbcQNJv53XltFLMbDiu3uWtE1miHPT6T147uZ8Y1AQ0Zf
 M65pBZILRrVXQvTnfDFow==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:Th63STUsZgk=:6VtmaD6bTk05xfFQG9w1eT
 M+YkhCglfyIi7Of+kNthQrRNcoEnntM/wgN1vhcmGQtFsOUeKKsMkn4UJyQXxtLmaJM+avi9U
 jKiqvIo1gbl6/Q8adz5dHzy1e+8Oc1lgcBymQczZjCPhvVFQTGtKE0kSa7sfRka5G1bHXE7a0
 oimNbAT2jP4rZzgjsZEKYirf2wQd9RDAtFa9mSCqSUvW7ysncNjyTuN5qfEiUQ9HclnTUDvLX
 MfHrVB1YLJhToLN5+oGIvqaJy8bcKXJM1hv+lOFATABxWwu36BKbvoFEdumZt47RA/deSA+r4
 /SMRs1cIj8qXjeFALcFcDINuCzuC0jvcCs6T7Mqd2W4xUzcRKVv/RW8v3Dk6fjOLgTdoqi7P6
 svWMQc8qTtBlphtelvFyp/Pghkz0x1wbLdK7pxi/ibIbefNIMJZoS2i97ZjlHbqfVkDLogzh0
 5dfjgc94tZqdNOAw6uyV4+CCTI3HjQiNc/Bxyexcv4CtKCPsIc0qMInckSRV0NXWjQbNfnnq2
 O2/BijHxcu9crnR7Jqt14t/gjcZnvnd0oCGtwFhTmsVD9twV3NxIkpaZ9+XTP8lgWlKUwbl38
 fXp/T5wDkbPslSkbOc9NE6SE7XtSAG22UjG5TviuxMx5GWJqvk270p2bVYTWhtgiK535QLmuO
 tqF+BEUgbRramBsf3ZAgOnC79ceifVUq5Uf7W/NJBQOFVK90MQDneXws704aLXfo6ioBZzmyJ
 m5zgmR/7QjrLLUd+bsOKPPfVwRYXh7s7jAB8qOrePOgY3gLtoZoP/YnhuXmPuMSUFGEwEBccc
 d6E1UC5jY4gglLQv7V40/q1zEn87XiDiIca5NdjGLiLSAk8cQa8YLJmKRLwPZZ/fkrIFdiMxt
 fPhI58n36tdsyHg4C4vDjEw6Hq9TmKPoF8xltlzQgJR5/h91mihUAPKu1xS5nr7hvFfUS6i6W
 wG/fNsaGg0pJgg2auqsaDJJU7l+0L3vp2cwPA0SpjPPzmvTg6dGS2dAU7mRh3TRamnzggYYYZ
 FSbz+APzOX/JpYeG3REjM185lEqZD77bUNUBjqBHeZs9dNWD56tgJ6MEIsXf2qJh1JQKE/+AO
 SWctchV/jZMy58=
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 50993
Cc: luangruo@HIDDEN, 50993 <at> debbugs.gnu.org, monnier@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

 >> If nobody objects I'll push this to Emacs 28 in the next days.
 >
 > Rationale?  It means no mouse movement on the tool bar or tab bar will
 > ever be reported as such.

When mouse tracking is enabled, yes.  As soon as people decide that they
want to track the mouse from or to the tool or tab bar or within it -
for example, to drag tabs from one position to another or to drag tool
bar icons from some window displaying all possible icons to the tool bar
or vice versa - we can make that check react to other special values
than 'dragging' or 'dropping'.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50993; Package emacs. Full text available.

Message received at 50993 <at> debbugs.gnu.org:


Received: (at 50993) by debbugs.gnu.org; 12 Oct 2021 14:02:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 12 10:02:09 2021
Received: from localhost ([127.0.0.1]:42884 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1maIM5-0000Pz-0Z
	for submit <at> debbugs.gnu.org; Tue, 12 Oct 2021 10:02:09 -0400
Received: from eggs.gnu.org ([209.51.188.92]:49838)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1maIM3-0000PG-2r
 for 50993 <at> debbugs.gnu.org; Tue, 12 Oct 2021 10:02:07 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:40486)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1maILw-000136-CA; Tue, 12 Oct 2021 10:02:00 -0400
Received: from [87.69.77.57] (port=3583 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1maILu-0007cU-Eo; Tue, 12 Oct 2021 10:01:59 -0400
Date: Tue, 12 Oct 2021 17:01:51 +0300
Message-Id: <837deiqr3k.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
In-Reply-To: <c0ca683d-83b2-0543-162d-600ef56de43c@HIDDEN> (message from
 martin rudalics on Tue, 12 Oct 2021 10:12:01 +0200)
Subject: Re: bug#50993: 29.0.50; Problems when dragging the mouse over the
 toolbar
References: <87r1d2b9e2.fsf.ref@HIDDEN> <87r1d2b9e2.fsf@HIDDEN>
 <83y270rd4j.fsf@HIDDEN> <jwv1r4svgxa.fsf-monnier+emacs@HIDDEN>
 <83lf30r8eq.fsf@HIDDEN> <jwvo87wtumc.fsf-monnier+emacs@HIDDEN>
 <877dekcsc1.fsf@HIDDEN> <bfac3335-23be-e3cf-76b9-1a68f2444548@HIDDEN>
 <87ily4aur8.fsf@HIDDEN> <44097514-26fb-fe2f-fb82-cfb819f13d2a@HIDDEN>
 <87k0ijalp8.fsf@HIDDEN> <a538cf46-7bd7-7d71-c32f-db94d6d7008b@HIDDEN>
 <878ryzafqk.fsf@HIDDEN> <dad767c3-c20e-801c-0139-eabf4f05ce0b@HIDDEN>
 <87wnmj85o2.fsf@HIDDEN> <c0ca683d-83b2-0543-162d-600ef56de43c@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 50993
Cc: luangruo@HIDDEN, 50993 <at> debbugs.gnu.org, monnier@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Cc: Stefan Monnier <monnier@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>,
>  50993 <at> debbugs.gnu.org
> From: martin rudalics <rudalics@HIDDEN>
> Date: Tue, 12 Oct 2021 10:12:01 +0200
> 
>  >> diff --git a/src/keyboard.c b/src/keyboard.c
>  >> index bc6f97586d..ba625c4f77 100644
>  >> --- a/src/keyboard.c
>  >> +++ b/src/keyboard.c
>  >> @@ -5122,7 +5122,8 @@ make_lispy_position (struct frame *f, Lisp_Object x, Lisp_Object y,
>  >>   #endif
>  >>         )
>  >>       {
>  >> -      posn = EQ (window_or_frame, f->tab_bar_window) ? Qtab_bar : Qtool_bar;
>  >> +      if (NILP (track_mouse))
>  >> +	posn = EQ (window_or_frame, f->tab_bar_window) ? Qtab_bar : Qtool_bar;
>  >>         /* Kludge alert: for mouse events on the tab bar and tool bar,
>  >>   	 keyboard.c wants the frame, not the special-purpose window
>  >>   	 we use to display those, and it wants frame-relative
>  >
>  > This seems to work.
> 
> If nobody objects I'll push this to Emacs 28 in the next days.

Rationale?  It means no mouse movement on the tool bar or tab bar will
ever be reported as such.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50993; Package emacs. Full text available.

Message received at 50993 <at> debbugs.gnu.org:


Received: (at 50993) by debbugs.gnu.org; 12 Oct 2021 08:12:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 12 04:12:16 2021
Received: from localhost ([127.0.0.1]:33418 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1maCtT-0004nU-Ub
	for submit <at> debbugs.gnu.org; Tue, 12 Oct 2021 04:12:16 -0400
Received: from mout.gmx.net ([212.227.17.21]:37111)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1maCtS-0004nI-DD
 for 50993 <at> debbugs.gnu.org; Tue, 12 Oct 2021 04:12:14 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1634026323;
 bh=9Mo6KoWbZcrS3ar+On1vskTTZ4FzoaOb3nf0W6U3te0=;
 h=X-UI-Sender-Class:Subject:To:Cc:References:From:Date:In-Reply-To;
 b=Nq/iHsAU5M7ve08lDuwUJqvwbFEpsd2Cy98kHTw7z4LIsmhKaQi3HFCnEf/I2WDRB
 fFiI109pSDTPtInzOgIvJh5ceGaU4Odl8/B/VF9zX1hnqm9Nv2PJQrOtBbHam3iit2
 z6B6UljaoB/9JT+wWIYbzYiubbOb49G6+FTHbiqo=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from [192.168.1.102] ([212.95.5.38]) by mail.gmx.net (mrgmx104
 [212.227.17.168]) with ESMTPSA (Nemesis) id 1Mj8qj-1nCaVa0yF3-00f9W6; Tue, 12
 Oct 2021 10:12:03 +0200
Subject: Re: bug#50993: 29.0.50; Problems when dragging the mouse over the
 toolbar
To: Po Lu <luangruo@HIDDEN>
References: <87r1d2b9e2.fsf.ref@HIDDEN> <87r1d2b9e2.fsf@HIDDEN>
 <83y270rd4j.fsf@HIDDEN> <jwv1r4svgxa.fsf-monnier+emacs@HIDDEN>
 <83lf30r8eq.fsf@HIDDEN> <jwvo87wtumc.fsf-monnier+emacs@HIDDEN>
 <877dekcsc1.fsf@HIDDEN> <bfac3335-23be-e3cf-76b9-1a68f2444548@HIDDEN>
 <87ily4aur8.fsf@HIDDEN> <44097514-26fb-fe2f-fb82-cfb819f13d2a@HIDDEN>
 <87k0ijalp8.fsf@HIDDEN> <a538cf46-7bd7-7d71-c32f-db94d6d7008b@HIDDEN>
 <878ryzafqk.fsf@HIDDEN> <dad767c3-c20e-801c-0139-eabf4f05ce0b@HIDDEN>
 <87wnmj85o2.fsf@HIDDEN>
From: martin rudalics <rudalics@HIDDEN>
Message-ID: <c0ca683d-83b2-0543-162d-600ef56de43c@HIDDEN>
Date: Tue, 12 Oct 2021 10:12:01 +0200
MIME-Version: 1.0
In-Reply-To: <87wnmj85o2.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K1:tkFJxBb6KDw32MSdVEjEYNV3hB273E3mXK854K62SBomykdkJ/2
 pmjV5BaioLdHCl3R3CxptN4iKev6t85QFPanS0IGdVEDNCMY3KaEAxAliGtGGQTNMsuy6tu
 gUCjuXeAF26K+AxbVvvnUloOvGay0rpJg8vYQ2LkyOp4fPcxZ71b3R/8bq/rTc0s//cBsu/
 BIIT7dJLnnFWiLw+D7z3A==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:cZk0bWUHtHA=:7ElCl8Tq+DYRB8ud3h4Wo1
 jOWKz6P59bX2JMh6EIcoMFl6P26DZyf62GPa8aeu5fa7O7ngLbxRAb14OYARrvz8NXhnW72Sh
 FJyesQI8tMZRabH9QqqXUnwS1wQwZqeoPE83roXAI6UWOE7gJXatLnL4d1+WXTU3NaxqyPDaq
 N8wYDtcMIhz3OsBUiEORVGBot0CqqPwOkVdzaEMxIim9I7t3xUoO4haPN9i3ZrjBwSTIQ61Ob
 zEPxfvBq1y/PvOE2S3egW715qWwQRZAnrDQhk/4W0XJ1YmXatJ7dxKnCHa/LFG8mLvsL0MRqW
 3ss0yhfeWsJE83oiv+opeW4GhqRbe6GHOLwhRVINdUJXlzNQQMESp8GrRERDc590/bewtkUCo
 5l0nMR6Qn4Xi00dRpnsWwBXdVP5Du78K/eR3oR6SSNBVOQKVMceearRT+cXjZHLsgJTl2UMvj
 mjG+vyXbcz2afuhh/YyssePpq75yYNj6tDwvTRqjjK8Ds6CHHdG57zVlIhYF/kESGE+jFT3vU
 ew3IQzZ3QmBDv9VqMw+wG1zXTcEjgJT3Ayep1mo/R+aij/6snWRi8SmmX5T37NCqszoPgGp2i
 NT2ey2Ekvb8Klm3lLwDz7V70lckKRTGLUPLlv7dU3+djGAIS6fLCMBG/5auzL9wjsXnzoHZ8T
 0SRfzJeDsd8PzV1G1mM+rA2tid3vmWGGJd/SyssHVD6IDvTquqKvWr8VMvCoXT4xr3bdnBwIh
 6MyLgX3DCecz4QU5XkonUTAelAh+zhFowwTRUmHC21jgnqFwCIYFHKbFEcL+b5T8qNV0kzoep
 UJixg4K0R4FsuoRIcATSSF/nFNEvNXSPD0/eDQsgmHo9rW9WVNhVbuqlV8R1nOf/cou0NRO9D
 GVdzB63PgjutoCrGpqUq8eOhEnMzqTW6UG8sZBavWW4Hn0ZlxE6rwCXfrSrcU4BWwyd8+9eJo
 vA2KfvNr5bAlx/LM1WGRx2PTT3SwS03W/AsTqwOe5zE6lOLT7oQAn9TokgsYncP3/ST78zrB4
 HF4t53NdL3XvYAgt1wuEZYfHqeXQ6O0WLvxRmRYASXPuVxLu2bvEXCnlKQwjeXLDI+5BULTYg
 JCdWYxVLeg64KY=
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 50993
Cc: Eli Zaretskii <eliz@HIDDEN>, 50993 <at> debbugs.gnu.org,
 Stefan Monnier <monnier@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

 >> diff --git a/src/keyboard.c b/src/keyboard.c
 >> index bc6f97586d..ba625c4f77 100644
 >> --- a/src/keyboard.c
 >> +++ b/src/keyboard.c
 >> @@ -5122,7 +5122,8 @@ make_lispy_position (struct frame *f, Lisp_Object x, Lisp_Object y,
 >>   #endif
 >>         )
 >>       {
 >> -      posn = EQ (window_or_frame, f->tab_bar_window) ? Qtab_bar : Qtool_bar;
 >> +      if (NILP (track_mouse))
 >> +	posn = EQ (window_or_frame, f->tab_bar_window) ? Qtab_bar : Qtool_bar;
 >>         /* Kludge alert: for mouse events on the tab bar and tool bar,
 >>   	 keyboard.c wants the frame, not the special-purpose window
 >>   	 we use to display those, and it wants frame-relative
 >
 > This seems to work.

If nobody objects I'll push this to Emacs 28 in the next days.

Thanks, martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50993; Package emacs. Full text available.

Message received at 50993 <at> debbugs.gnu.org:


Received: (at 50993) by debbugs.gnu.org; 12 Oct 2021 00:10:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 11 20:10:06 2021
Received: from localhost ([127.0.0.1]:33017 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ma5Mr-0007Fk-Oq
	for submit <at> debbugs.gnu.org; Mon, 11 Oct 2021 20:10:06 -0400
Received: from sonic309-22.consmr.mail.ne1.yahoo.com ([66.163.184.148]:46670)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luangruo@HIDDEN>) id 1ma5Mq-0007F9-52
 for 50993 <at> debbugs.gnu.org; Mon, 11 Oct 2021 20:10:04 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1633997398; bh=TXNax8qQNr079DFYwNJ4sLLoEDeMmUGCuZwFqfKBhCY=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From:Subject:Reply-To;
 b=O0aqtxdZksuHtVKAxslAS4UH7mVCn6OQmwYJCjopbReTKJp8EyH4MihPF7aLm2L4259fmT3InqHgZfxRhK3TrUTThbdzfMe1FX7XeoRNMkJgCVFVkdEjKFvdK0NMQ1ky7tq5dTcDwiErFFp5DYCGLqxYchJUxsFhtH1pNI93jbUIQAGPCZdmtMYv9LLT+Pwgc+llcQ26pl8SZ1I3HNKeGz39qZvK8KvjfmqN4ddYTTlhc/UKn35oqKDxrkByYGt+JdS8eCAj6N0NpC6JBc6VLlKF3UW+aUUZPizRLqSZFuNCHfCg6JR31fKAKapNICVWnd4AXwrbo0JG6+jxOLPqpQ==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1633997398; bh=fdkZRPr5pd61byAKARvTWCOh+qS33BYrRrLM6FGJlW5=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=g8rpoOqz7g2Z8a2oc/wpOeVU0pQr5672u4h4d/rtEEid5WIl0Azf/AZc3UuhvvL2AG3AgY1fxVopiBTMNydJQalszZju39oVtHcOkBb52ib3hsm7FnYCzBYkAIRaBTQctaF7QxK2N5D4zLMWf9jgHVz+zcH9Vr1YmYpuq3JE/4ocQjZR+lzYfMTf4LvkMmPDdBeWv9IXGIogJJVrzXdtvRCY4y6ozBZlB0HacC1JfKv5q5M7C7eB2p4v4RVHwSdtv2pndHaMWVLS61AizYgDGP+WnI29fDbIDZdOMuub8OVM7V7tI7a6izDQMrl8BkMV8mTNdP6fT5tOq5fxgDdETQ==
X-YMail-OSG: lnDnI.0VM1niP_yOqxb.bVqIv58bH9aG6mo44wisWjUtRoq4zYI.sm3t7GW4svc
 v1RRIiig8uerqqiO4yYSByNgPSe8JhjbYxxn73U6I1a8Nv5gxF4xFGLBx6.j1712mLSsbXV2JoUB
 nJ8..lxB7tSK69jRIlaJmyNOooX_oMgd6jvuUY7jWZtD_KrxhZcySDGDKm00WxLxs9.WEFt2rIqX
 gu.RAeM7Tff7g8pG1_H2ZAYb1QbLkjcURJm7vXKWG2JmO_8qwTtD2SNeiKujy6pLSvmb7Ha9tjjF
 jNEVbh.42VabioiuPl.8f268xduoeAZAd0OE46v1RC8UoP.KmG6s4gG2YaSM3WzOuR.rwP7AINJo
 BQUhgE9g9dq2Knmc62EFNNsW2Uzj4NF.LwzyDJBsuMrekjy8obGO.m8IeMT25H3jruxIGN256aac
 SGnuoOpIcklVDLeg8jIA178L6YMLSW088FzEUlm_QVH0xmZl_Z6Ecv3b7zTXkFYiSluMVdLRPvtR
 3A6sNaCocjIIyhopYzvqlYbdZC8ZkROsWaVe1VWAcAFKrlZcdLZD7iBOXaKHX7AhFHifP5WYGmYI
 TmLB2jTSU7C.jriF8_tWcvD0XDGD3iLOq1nI7SfBzoF1m.Qb4NpSfRVkeQnWdmMsLCatQvYo1Q.T
 aGao.A1DY2rH_p7_n3V0HQdAcKg90uV0VgRrUrvamkQ43XFWI4v1g4p4Rm6lfmOhIq4C8fnQzkHW
 NWdvtG9jk_A6P_UKj9Rl_62sBF0AF32JZQDp1UNEgKg_XFUqO3424xnEg.nYQIbRTpRIAXGr0QJ.
 SZ8ablg3xn8tWYMBRAS2BCiNvn.EIpBHvVK8YzQ.Y6YLAnH14m8g_mINz4WfBOGM0.PcMYDUi7VA
 vnF0d9uFAMP3yNrKw0kt51bL6SAAZQBH.JgXlWBd8.TzPhNpIJOiNCYNWgc5wbXlbpAVVadusSfu
 Forjw4WT1zyWV7JbjUMa5GxkMXqp_MAlCZa6.mlsB8nz7ZHh1TBYEn9sWNhNkxB2Z9XhtSpJ2ujH
 Dj0_BnaaalmYHzudHTh.xdwStTpySN6BQIqoi4BluAUV5BYhEgDPmNFlbrDUkgV4bDwQ.vZW9NQ_
 ib3NYMTKU.4DnBr.KJsBgu_oXxEYQbWBiBMc8mtKzSoTGWqgxZNqGlupigYsah0wfMRknKg3J5qh
 0wZcN6fpZ5EvUnNy6O.2nJAmRHDpHoz.RuooqXIQuH1_GiZbQ27JzltVUZ2z2Jrx5EmMZtjPh6dq
 7wG4ftvdstbfLgkVL5oVwEJprixwtQqlBebVEose8HxzSyXV2nVFRai9PI.oVbcwBZXBNt595Ky3
 2gMDJQFTwhCFsq7m4zv4UcDSvQNAyndLeyDUpAQy_beYm0zMAgTIAR2UtU6mIwqr2weQfaqkx_Go
 8L.uXLiauayqIYoKqd6WdG3sW5tPbPwp6kewWC5VvTawL9zeQuShY8GYkMbBZbasojOLhupnSMPD
 nrCOMKx.JtwY5dffLAPXR0giEbcp4VkAM3UaEOBPFkxE6ZLmvCdkGE7iUYtYK3i.YXFZ6b5BwrsA
 g.kvBtZt84zhR9vuPMMahjOnz4Ry9JSj2NVZFtdDCCzgDCV6MivN1gJG1hfm9LrfXLopN_OdVTpq
 0jcABTamgWaoZVCXMjCMlig_xwLs.M09Uilkwr8KUvcgAYGCZDwUPoB3leb1qSj5nZmVZ2gBykqQ
 4RUISqY.WTmXTiO0wG5.KYSX4wkNNw6GjBfTRmoi1mm_F1GmVAXk5KqS_dVWLIZYCjbSYlohrMHu
 QtFixC8w3NbMMMRpCHC7_gsPE4FWO23h2zJhiXNdzwyo0oN7A4CofxkSwBIDoJk9Ixvhhizsc7yT
 SEZH5aznZQW4SwnpdzTp9oyxP5n.GCp_fXXmF9GeImzWkod0Iv5Whr8P8tmMsWr7aokJC0RjGh2z
 5P592tpE.zuWyhs8gjxgzKhsg5QmwYoPByEnoooDNMccQ3KiKrckKYKLQkUllEun3HkNxWP9Icgw
 5EIiooZ.eayAytJiOjG7N8qJCFSOAjGx6eNrAx0Z7Xr2bL6sCVCO4BIp9WaS6svmZ_20Q4kXVVKi
 OtMHLhCEjMuML2L68w.d9DAQN0wz5V88BPPwOBeKAXRLKhE46UER2l8UmWvGry.HM0t28HMzRIYo
 sKmd98gmhbCQBCJjo0RiKR5kg2h1bbFBkBCvu7ZWaxaa_3ZfvWFCP5QjMWUkUr.2X2LPBb9TazjQ
 1l3bOatzf1gDVXtBOrm.ZHDuZWG0yQMDBBhsU9_qLHmsL4m2KJGiJ
X-Sonic-MF: <luangruo@HIDDEN>
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic309.consmr.mail.ne1.yahoo.com with HTTP; Tue, 12 Oct 2021 00:09:58 +0000
Received: by kubenode515.mail-prod1.omega.sg3.yahoo.com (VZM Hermes SMTP
 Server) with ESMTPA ID 9b7093009446225b61a58640c94e8d5c; 
 Tue, 12 Oct 2021 00:09:52 +0000 (UTC)
From: Po Lu <luangruo@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#50993: 29.0.50; Problems when dragging the mouse over the
 toolbar
References: <87r1d2b9e2.fsf.ref@HIDDEN> <87r1d2b9e2.fsf@HIDDEN>
 <83y270rd4j.fsf@HIDDEN> <jwv1r4svgxa.fsf-monnier+emacs@HIDDEN>
 <83lf30r8eq.fsf@HIDDEN> <jwvo87wtumc.fsf-monnier+emacs@HIDDEN>
 <877dekcsc1.fsf@HIDDEN>
 <bfac3335-23be-e3cf-76b9-1a68f2444548@HIDDEN>
 <87ily4aur8.fsf@HIDDEN>
 <44097514-26fb-fe2f-fb82-cfb819f13d2a@HIDDEN>
 <87k0ijalp8.fsf@HIDDEN>
 <a538cf46-7bd7-7d71-c32f-db94d6d7008b@HIDDEN>
 <878ryzafqk.fsf@HIDDEN>
 <dad767c3-c20e-801c-0139-eabf4f05ce0b@HIDDEN>
Date: Tue, 12 Oct 2021 08:09:49 +0800
In-Reply-To: <dad767c3-c20e-801c-0139-eabf4f05ce0b@HIDDEN> (martin rudalics's
 message of "Mon, 11 Oct 2021 18:29:06 +0200")
Message-ID: <87wnmj85o2.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Mailer: WebService/1.1.19116
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 776
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 50993
Cc: Eli Zaretskii <eliz@HIDDEN>, 50993 <at> debbugs.gnu.org,
 Stefan Monnier <monnier@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

martin rudalics <rudalics@HIDDEN> writes:

> Maybe, I didn't check.  How about brute force like the below?
>
> martin
>
> diff --git a/src/keyboard.c b/src/keyboard.c
> index bc6f97586d..ba625c4f77 100644
> --- a/src/keyboard.c
> +++ b/src/keyboard.c
> @@ -5122,7 +5122,8 @@ make_lispy_position (struct frame *f, Lisp_Object x, Lisp_Object y,
>  #endif
>        )
>      {
> -      posn = EQ (window_or_frame, f->tab_bar_window) ? Qtab_bar : Qtool_bar;
> +      if (NILP (track_mouse))
> +	posn = EQ (window_or_frame, f->tab_bar_window) ? Qtab_bar : Qtool_bar;
>        /* Kludge alert: for mouse events on the tab bar and tool bar,
>  	 keyboard.c wants the frame, not the special-purpose window
>  	 we use to display those, and it wants frame-relative

This seems to work.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50993; Package emacs. Full text available.

Message received at 50993 <at> debbugs.gnu.org:


Received: (at 50993) by debbugs.gnu.org; 11 Oct 2021 16:29:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 11 12:29:23 2021
Received: from localhost ([127.0.0.1]:60773 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mZyB1-0005ph-1o
	for submit <at> debbugs.gnu.org; Mon, 11 Oct 2021 12:29:23 -0400
Received: from mout.gmx.net ([212.227.15.18]:34381)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1mZyAy-0005pT-WA
 for 50993 <at> debbugs.gnu.org; Mon, 11 Oct 2021 12:29:21 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1633969748;
 bh=fyFWoj88ZuKO3CT3tCGbsVaw3HMrR615ie3/xnMtYV4=;
 h=X-UI-Sender-Class:Subject:To:Cc:References:From:Date:In-Reply-To;
 b=WclqYb3iMRO4yUYBaK8LWy/5cwaKR8Iv/THISreNO/5HWtyOXAw/Ga7EkARwPlMCo
 fGcG2J6YzZoSYHx0kie+RYjIcn1pAcVwTj04AeQt7T+p/2a0Czc+PeXCVYu6Ko+mj9
 N++ZufllwwuAkvgpsrrms7BVPyD88YIUghbbMjNQ=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from [192.168.1.102] ([212.95.5.147]) by mail.gmx.net (mrgmx005
 [212.227.17.190]) with ESMTPSA (Nemesis) id 1MwwZd-1mz5Qt2DqV-00yMUr; Mon, 11
 Oct 2021 18:29:08 +0200
Subject: Re: bug#50993: 29.0.50; Problems when dragging the mouse over the
 toolbar
To: Po Lu <luangruo@HIDDEN>
References: <87r1d2b9e2.fsf.ref@HIDDEN> <87r1d2b9e2.fsf@HIDDEN>
 <83y270rd4j.fsf@HIDDEN> <jwv1r4svgxa.fsf-monnier+emacs@HIDDEN>
 <83lf30r8eq.fsf@HIDDEN> <jwvo87wtumc.fsf-monnier+emacs@HIDDEN>
 <877dekcsc1.fsf@HIDDEN> <bfac3335-23be-e3cf-76b9-1a68f2444548@HIDDEN>
 <87ily4aur8.fsf@HIDDEN> <44097514-26fb-fe2f-fb82-cfb819f13d2a@HIDDEN>
 <87k0ijalp8.fsf@HIDDEN> <a538cf46-7bd7-7d71-c32f-db94d6d7008b@HIDDEN>
 <878ryzafqk.fsf@HIDDEN>
From: martin rudalics <rudalics@HIDDEN>
Message-ID: <dad767c3-c20e-801c-0139-eabf4f05ce0b@HIDDEN>
Date: Mon, 11 Oct 2021 18:29:06 +0200
MIME-Version: 1.0
In-Reply-To: <878ryzafqk.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K1:aQE3lv08ST9oYhTMc+Y/PfSxaZZokvP8hYadkt+vIGTtnNj56hO
 ttpwQCeIf90rxBxEi83hajM5tXpDA9QiymDrGKrIjJ2Hubw+RCiJ4ZNAZCpw9hoOGqF3rKw
 5ipBTxNXjl1eUoM13fpmgADM3G5sBuwmGRqzT8vxrt3lvzVrlF11JrQI6N8SpXnCWSj/GB/
 zJ4We04xVsyLmdF4zgyWQ==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:Zxk59+Y/exo=:9wEKsHXvKEl3hEHteheYg5
 7uD8vlpVUqQJLLZA3SlE8PxhOgkKn15X9Y+DHSEdz5iUv/KPAddZHsB1hCoHcOGWhPBSsRcYK
 SQojpSevYRgPwEM6B8w6OsXwrwPPaZSaxOssD5DKr3hXhmw8i/McmYW1Vp+JPAD7sECtpE565
 m8uswW1O/1jgNdmpIyJSktDJyB617H0BZkylXyV1Lpp05nlE3unKGC4JstI+qlEL0vxVpMj1v
 fJGmk3DVDV5DsqI7YzJEWHrvWYrTZWoP9ypONUb9La2T4sljIpYZFap/6V5N2OVOJLy8+TbW4
 /IZxEfV4S3wTyZXJn6RKgRiVjYaDm7J0+jUhJhEfp6LhJ58q3RRmBWnVLvsVVtNrUJmoRqDOr
 FYnFt3t7n2vRJwXXD/Rzoy5ouBxvhS4ZL/kNUQvcKSr2nKnYHYkYBgijS8z2ivKQzMHdFQh0L
 RdKMLwLjTH8rjFqVPsAROhXtD8OMwgK4VyZaR6HILOA+6rzFpJNgAmrQQKFVTAbYY0H8Ffouu
 37BpqToSoTLn0ZBtCRmeYI1YnrwNmm7uDf7dMM3kDARWqrlk4ms5rEqACaokXW4F7AVSnn1ou
 fakVy9xCA8artyvkhY/oLP6huBo5V1mBjewUla8jWfY9jc8rtzMwhrAADsqI29oHo8f9XMhZT
 rBq9EWchdvMiAPG7V6W7R6j9bj5/RCcB1pZfslpb6D9zpxNw/Le3042d5Wm2iH3hZK4EFoUQN
 +mAsT57XmxhosH1yx5cYg3BPVhZuz2mLy63OLGR8mKdrmZZnOlv2jx4UTKo7+bQZhfVR5+Fhf
 nZ8fRmZqjEsx8G3r1fHydggNoJ1WhlC9v4xKRGk+iKeR1LeQLgDX0oDgTjleNkIY23KZdpkHu
 aQu4tGfV1Hrjpt9sJcPYeT1WqVaIgzncPu1dg8yireIoClxbb/tia2YulTDHhBknj2fmZy9KK
 n9uN671PePPSySrDDOWd2Ojk0fxf+U5hhqjC9e4Mh7fUzBYqgH3F6StG3I/UZuHpkChbO6tKk
 rcMI1t2N7tjfi9b1cqEaz7SKlryrVMcLF9nCp6i9MJfX0ljDg9PEiMqhoMPPhGZlx0zCYV/qo
 o75OwD0qFuKByM=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 50993
Cc: Eli Zaretskii <eliz@HIDDEN>, 50993 <at> debbugs.gnu.org,
 Stefan Monnier <monnier@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

 > Thanks, with your explanation it does seem to work now, but if the mouse
 > is released over the toolbar then it seems to never stop tracking the
 > mouse, unless I click it again.

Maybe, I didn't check.  How about brute force like the below?

martin

diff --git a/src/keyboard.c b/src/keyboard.c
index bc6f97586d..ba625c4f77 100644
--- a/src/keyboard.c
+++ b/src/keyboard.c
@@ -5122,7 +5122,8 @@ make_lispy_position (struct frame *f, Lisp_Object x, Lisp_Object y,
  #endif
        )
      {
-      posn = EQ (window_or_frame, f->tab_bar_window) ? Qtab_bar : Qtool_bar;
+      if (NILP (track_mouse))
+	posn = EQ (window_or_frame, f->tab_bar_window) ? Qtab_bar : Qtool_bar;
        /* Kludge alert: for mouse events on the tab bar and tool bar,
  	 keyboard.c wants the frame, not the special-purpose window
  	 we use to display those, and it wants frame-relative




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50993; Package emacs. Full text available.

Message received at 50993 <at> debbugs.gnu.org:


Received: (at 50993) by debbugs.gnu.org; 11 Oct 2021 12:49:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 11 08:49:39 2021
Received: from localhost ([127.0.0.1]:57030 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mZukN-0000yB-42
	for submit <at> debbugs.gnu.org; Mon, 11 Oct 2021 08:49:39 -0400
Received: from sonic311-23.consmr.mail.ne1.yahoo.com ([66.163.188.204]:42690)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luangruo@HIDDEN>) id 1mZukM-0000xz-7c
 for 50993 <at> debbugs.gnu.org; Mon, 11 Oct 2021 08:49:38 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1633956572; bh=HeSkP48iIjRUgD4x2vGo3l59n+Fr2j5EenqI28ji2bc=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From:Subject:Reply-To;
 b=Vgl2ru09XeIHTNEik2iuYAu5bDj7U+/KDH3NIJ3sI5noCnefvCbq//BrqOrk3Mt8Mhj275A4jv7ifMzvla2zqh0iuLbeaBro011JYT6GyIEmEIhQBo5IiDh1n1rR3VHLHQuoKGSV+BvUeft/MJPLSU+6/052cWSlynp3wHcTSfxNL6zFhTpCyTzEQ9zL6nZ0S6ed4JoxlRVQPzFjkr8ysw6Zau4CRHLNaPYKFGhLk3lLqfPyN0EXiNZt9Om+rwNGSikUWM/bGlbnfWG6jKlKIsHhwlPhFIgqWmMnWIVg2WFMdqMLCxe4f6mR+LABdPp5f6YxowMc0n49R6ZPNblNRA==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1633956572; bh=V96xOGLSEL1rxkE8skG2EfssMo6XWzqaxXEUQEBlim5=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=oNqntb03kXUtGCSUQ1nZ07hnqdeKsaEBEyArSJ6FLpKcsPf1YmY1t1Yi9qefeGL2H9c9C0Js9mtbc9/NP2AQ0UPlSrkr/kxkNfjZmpMx83AR8XYb9HZH2usV4G03+sGOO8+33ZepmhCjykQNjHhoMfPtK+aZwl4Z0+Lq0YkJzYAqjz6mS/O1vTSBdoOLKQ8iScrF/69YgxDRKh5LTJ960g3iZ+gFj5c7xp8knhyZj+HL5fYPtUmUNunL6AWB1lIZdmICmVce6FdmyyyqIZh1Wq7msA8nvp8dcHBBBkYatlihq1/S0ee8rtNvbNpMQWzU9aaZe2lWSBbhQGFNKOUvQg==
X-YMail-OSG: Zc.4EY0VM1kF2p4leqKW7.lTFo4bUQBH7aR5Ftbk2HGdg.xhXxCYalv6AH0IZ6c
 IvTNl3tBkpezmzkNgTeiR9i8sKzY4JD0q5ZVtqKJ0K6yewwdkfVWteXX1LHI2IBbrXlZ7vibu4Zo
 4vbrypefmQH8farisgb1TFgcz.XkvTU2F1ehpOlBgpS6qynJAmqF.RVjpOJ5Vg3GJ8b2wq3GNnmL
 5rVcKao.oQr_Vc6ORy7rh1FmzzAncrreekzBO8MYkFjkWcj7Ym76dhCEvbdDq6rJAIzVtwjboVMe
 sr9Mr8wna4piaZ6m.YegUDpACxMEMAlXD926tKGXXBw5n5GfkiLOhWdwfH_M5tHrMOS3AJKfjfTP
 RmdL9gnC68UsX6ryPfcrBZtn1pzaGoduoQMDF9nC.0EKt3DWFGajVGF0a_nmw2o1AiYiqjymH8Dh
 D5mDmYmebnYbOuFps2YDVr5wuvsXIE9nhrB13V.5Z1XAaO6GqjlO6pV7tgsztkB962j55h8mTkxv
 j7ylj5SXHSKTBAaDAr8vYxePbbobA11EDeAyPlPvFdLcBfYTYs_ZkUGjohy4Ja7oGsriixpa0Kjn
 7W7wr3gT0D5N1Ob_wbh3dduCFSeuKJKa21x1AQx0HZTdpPDt326gmA3J89lZBdsyf8MbOVqVnzhX
 bJPUTkxpnmNo7cnwsmdDo0iLPfeYN65nTh98OVKwPxqYrNnIM152amvpXRXs3RmVwQJdlvyQSRgb
 lY0rjLVzhW9JlTHMPvrPhd0bsyIDhino_hlZx7o1N8krO1aZkpw1BgW1QVFZ3eAeKTg59FcPimEj
 R_s_kSrTK1HXqu.5_E5j9nqPTT03XptudIw66iK6j90cMWa3zmYxiDKoREXkLE_yhjxqz98PNprc
 ShRvPL0_jxahuZaZUbYOcKTCQJaHsYoVJ4PikTVKn7hUt6nxKstilrw28QHz3v4DiKOsInz4iP9Z
 atrJ8PZsvZVEGAfgQ56lCuqgj7Wv7_OcxH7z7bwiY9Lt59aHDy9tF0poEfz.mRlAlQYCZf8iDTw_
 xaC5qeABIO.2.Qvc_vKyzupi4zyPxo2ttJVOPyMnNABCTujmmfZ8SrCrSYHazKrDXuXwL8DMe.ZV
 DDMYIm1wQ4OAUyn4NzFm9YHfA2NODhpMEIOK7BBkb7mqBPv7bKFZhBRYx3IAFb1Gr63Mn5.tJNZM
 tzS5paQFJERtDlx2vL0vKBr8xpUqEzJVSqClJPMdr2JT_aaGnGFtmTlj6d3zNcyqXtAb7g67OAUk
 ir0AY3ZHXtVgVrsPTaJBhKxDWlR0clzkkuB8RhXPbndCcBdYLMklBk_NSd8eYTQHXE79sgZvsYge
 VsJkF41AsRZ.j9W3zjar.l_jfdeo8L.cJ3VP.xNCZWqkJpk7VygmmRS5_BJNm7uGx4KhqoqxaUdg
 hIcEh4dL6GZMycfJImhh_O1CLDMrRJ5a89OsF5Q0_Y42TTnzv6vm7BFx.SnK2UWJ7aIPExn24jpd
 YETrSVc7AIXRe7yu6aMy50hNoikKIFYz2QAALHlB88bj6U3.WhEG.sxz0ZwlHZp6HCHL95LKqtdH
 3rqrAoUJsoFdpvEqDGdjcLcttjE22v7jZmC7P.OEKoHV_ZgWgxvrv5AJLUy8pYkzGnij4zeIOjk6
 A.hBBDI5t3gdMSmoHn3H0gz.TTFv7lvQH3qWAM5heonQJrlBssRaG7u3FOwG5Aol3zMtO7OEQKeg
 9IngVruu68t4.HXyae4GR6ryaWOR0D8XR8KozNi4wWRFOsvCR54d8wKjt.6o4YWe0Cd4hbZtXE5w
 P79AUCmDdRz.jpbDb3bkD9HvgfxTEQyBgVxkndQjiEAskBOeBpfr6vF2MNVDWlBwLqJGYyq8F3_4
 K7nXPilkkozG5cI3Wh_0aPqcmn0MD6Sx8XwyfPciX7HYvU.t5wL_Wt6ruwjxeA09wL0O2IinCDYU
 qif61cAWGbHDkjwLLHZK7Co4zYwBTnWYkmBDA8Cy_nlrXu.MZiiQPFVLXDvmzb4QRdkW98muFZ2M
 9LCtGI8YxdGuTHXFtOlpeh51mZXTHTG_9sKyzQqicKUinio0woCrUuwQ.cMdEfIu1kpkyppLaYwb
 etFSVcjdD_Aq45ws97ub_EXl4cfhSYLrthMkL9eDsruhmdPVbDGAakDkZKgah8EGq0W2ar_OTWTH
 GudNpkFkxSHJAbphkB9Iz2jPs605DBgXw4nIScygcvDU8oNXP_FX8GJajS2EF47SdeEocNaMKWE3
 HsLe0eu_.SaW7Mu8imWdzVDE2n115z7FA_H_r67mGzjBe.zy0QHQmx9mo
X-Sonic-MF: <luangruo@HIDDEN>
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic311.consmr.mail.ne1.yahoo.com with HTTP; Mon, 11 Oct 2021 12:49:32 +0000
Received: by kubenode509.mail-prod1.omega.sg3.yahoo.com (VZM Hermes SMTP
 Server) with ESMTPA ID 1bca3798d880dd67fc486c7df4534c50; 
 Mon, 11 Oct 2021 12:49:26 +0000 (UTC)
From: Po Lu <luangruo@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#50993: 29.0.50; Problems when dragging the mouse over the
 toolbar
References: <87r1d2b9e2.fsf.ref@HIDDEN> <87r1d2b9e2.fsf@HIDDEN>
 <83y270rd4j.fsf@HIDDEN> <jwv1r4svgxa.fsf-monnier+emacs@HIDDEN>
 <83lf30r8eq.fsf@HIDDEN> <jwvo87wtumc.fsf-monnier+emacs@HIDDEN>
 <877dekcsc1.fsf@HIDDEN>
 <bfac3335-23be-e3cf-76b9-1a68f2444548@HIDDEN>
 <87ily4aur8.fsf@HIDDEN>
 <44097514-26fb-fe2f-fb82-cfb819f13d2a@HIDDEN>
 <87k0ijalp8.fsf@HIDDEN>
 <a538cf46-7bd7-7d71-c32f-db94d6d7008b@HIDDEN>
Date: Mon, 11 Oct 2021 20:49:23 +0800
In-Reply-To: <a538cf46-7bd7-7d71-c32f-db94d6d7008b@HIDDEN> (martin rudalics's
 message of "Mon, 11 Oct 2021 14:31:08 +0200")
Message-ID: <878ryzafqk.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Mailer: WebService/1.1.19116
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 656
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 50993
Cc: Eli Zaretskii <eliz@HIDDEN>, 50993 <at> debbugs.gnu.org,
 Stefan Monnier <monnier@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

martin rudalics <rudalics@HIDDEN> writes:

> The purpose of the patch is to allow dragging the secondary selection
> with the mouse when the cursor crosses the tool bar on Lucid.  When,
> during mouse tracking, we leave the initial window, we use an exit
> strategy that samples the mouse position and scrolls the window
> accordingly.  I'd first like to know whether it works for the secondary
> selection.  If so, we should be able to fix 'mouse-drag-track' in a
> similar way.

Thanks, with your explanation it does seem to work now, but if the mouse
is released over the toolbar then it seems to never stop tracking the
mouse, unless I click it again.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50993; Package emacs. Full text available.

Message received at 50993 <at> debbugs.gnu.org:


Received: (at 50993) by debbugs.gnu.org; 11 Oct 2021 12:31:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 11 08:31:25 2021
Received: from localhost ([127.0.0.1]:56954 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mZuSi-0005fV-L1
	for submit <at> debbugs.gnu.org; Mon, 11 Oct 2021 08:31:24 -0400
Received: from mout.gmx.net ([212.227.17.21]:39313)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1mZuSg-0005Zc-UT
 for 50993 <at> debbugs.gnu.org; Mon, 11 Oct 2021 08:31:23 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1633955470;
 bh=soRj/N+xxmURbZbL42XHtL6UT5YDK+vultfuA5nUYbM=;
 h=X-UI-Sender-Class:Subject:To:Cc:References:From:Date:In-Reply-To;
 b=GrlufC/lRWnr+wPHk7ocS0I7jN9Dfyr/HoqW5q86hGdtebm9gANgUbpcPrs9Y/355
 RGLOJD9lbsWxEFbb1uEKceuzrnCh1OIErKxneb9VmKHlxYnQJ/m730wCHkcAIwnUrd
 WFZLTOFbsf5rDDtUpAmRgMAEEOR3BZIwEReHKEII=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from [192.168.1.102] ([212.95.5.147]) by mail.gmx.net (mrgmx105
 [212.227.17.168]) with ESMTPSA (Nemesis) id 1N5G9t-1mi3K71LyH-0117Ua; Mon, 11
 Oct 2021 14:31:10 +0200
Subject: Re: bug#50993: 29.0.50; Problems when dragging the mouse over the
 toolbar
To: Po Lu <luangruo@HIDDEN>
References: <87r1d2b9e2.fsf.ref@HIDDEN> <87r1d2b9e2.fsf@HIDDEN>
 <83y270rd4j.fsf@HIDDEN> <jwv1r4svgxa.fsf-monnier+emacs@HIDDEN>
 <83lf30r8eq.fsf@HIDDEN> <jwvo87wtumc.fsf-monnier+emacs@HIDDEN>
 <877dekcsc1.fsf@HIDDEN> <bfac3335-23be-e3cf-76b9-1a68f2444548@HIDDEN>
 <87ily4aur8.fsf@HIDDEN> <44097514-26fb-fe2f-fb82-cfb819f13d2a@HIDDEN>
 <87k0ijalp8.fsf@HIDDEN>
From: martin rudalics <rudalics@HIDDEN>
Message-ID: <a538cf46-7bd7-7d71-c32f-db94d6d7008b@HIDDEN>
Date: Mon, 11 Oct 2021 14:31:08 +0200
MIME-Version: 1.0
In-Reply-To: <87k0ijalp8.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K1:6epD+oarycZEV4+kYdissm0CVRGLHENEeexiR0hYAUKgnIAnFHu
 VQEF1GKjA9G5smXHdclhiRLBsyeKOqlMn46KHgD38Bj2FcKdSxGFX9wHjX+LWOi90ZFNaeI
 WVau9g5vf0OZjdorUGVtF9IJsM6UpD/8sqTp5ZLSg1yKwp8Ytsz/jPIiFmvBuEnsLy2DQZa
 HHgrZvaIiTiF/FFhxG9lQ==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:vs2z9DFy8vU=:NQUfJFIR9v3vdVwrQZaPOv
 kVf+Xz6t2iZiqlQ87IefjLttzev/uh3HowGOogWYJjChLBBxGYcYTWs8RHphTjOmnP+m3VKaB
 SdtU73LXZ3C+ONTaAZTGU+GttunO5/9oE3kmWIeHa4lNEh9AIO8IwTGA3zGhwPkgGE+ZhAvYV
 bWvCd1Rx9IZ3fOB5bUbonqGa8swJ7gZZ/08T9Y6KNoHa1y+YnRcq0lUwz5SCuKPT/Fh9lMtHe
 paDtUkPxPCufdv8hw4Leujrl7CmAmkDkYef+END3N12ZHrZlX7ie0mfaSVfiZxVLFhGL38/6q
 RcUrAqTxbdfNCU+mVJ4kTVkcMalYKq82Hh6fySCwieGgcCXmArvZQJwhpEIhkR5ySClG3WVwt
 U+OcwEEWDlD95fOC9OtX0GvTungkhIaSUcI6ZeM2FZfesjt1GYTE2vEUEhaZC2Z1bswy3jdxg
 EeZ2M3Oa4VqfdcNTXeH+Ur0rAsXzsK6RBJzOcMX1dHwVhyrnX/xQREgRrTBUc1ImKM428ZIFq
 BycDv6WgD4Ru/VPuxbkU3Ngj8NFH3oAxYrgrf8gk2gJYMTRD6O2DS2ICP3WBTgd6i7vglfjeu
 AZ8Qc4fPvW+eF8iHwOCa8sZCPbElmNkPd22Jbs63cw26ofPxtsvEcUFeV5CCwK1FEs/HzMVtX
 7Aldv+7b12euuRd/CjfncOFnRV8KKOu1HilYEfMCLo5/Y3ShXmACUAdSFAVBtjE5ElnxnVldb
 gS5Pocc+pGDdf5xiEt3ZQytFciLJghZwQpx47i4cV1SXVNYBxW0lZ16oOsRiKJblJZ/rW8pVI
 AxTwJDTHtRqXaO7xZ8oZRikLW9vnbV70KOv7UlokCLuAGFaVY+vVuhA9xsCKCBUjCPJelCqgU
 TTiF4TsOuxYOP9ELbn248m2WEvpml4P5JoKd6BCAXXu3KUuyNH6oYqzKBZ1/jRwhwz6tupiy8
 TF0cXPHNXezqRVv8B5bwlf0XzYvclXtpU8DmKU3TGJYahwxmFjIYrZcNoUT8DgY+KJ2TsUL7P
 jd7seo4zjF8IoLERgOoG7/FHw6dn6nzuyUD+oRQHJCGPDH9GXheIi/j4QPVzwqvr9qrVRZT4f
 NJAGng81UOHLpU=
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 50993
Cc: Eli Zaretskii <eliz@HIDDEN>, 50993 <at> debbugs.gnu.org,
 Stefan Monnier <monnier@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

 >> Yes, but how does 'mouse-minibuffer-check' enter this picture?
 >
 > It's called by mouse-drag-track, with START-EVENT as its argument.

But is START-EVENT the problem here?

 >> I see.  Dragging the secondary selection seems to work here with the
 >> trivial patch below.  Can you try it?
 >
 > I'm sorry, but it doesn't resolve the problem.

The purpose of the patch is to allow dragging the secondary selection
with the mouse when the cursor crosses the tool bar on Lucid.  When,
during mouse tracking, we leave the initial window, we use an exit
strategy that samples the mouse position and scrolls the window
accordingly.  I'd first like to know whether it works for the secondary
selection.  If so, we should be able to fix 'mouse-drag-track' in a
similar way.

 > Binding [tool-bar mouse-movement] to mouse-drag-region still results in
 > the same error from mouse-minibuffer-track when the mouse is dragged
 > over the toolbar.

I'm afraid such binding won't help.  We just have to be able to enter
the part in 'mouse-drag-track' starting with

                (let ((mouse-row (cdr (cdr (mouse-position)))))

to be able to compare mouse-row with the top of the start window,
ignoring any binding.

martin





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50993; Package emacs. Full text available.

Message received at 50993 <at> debbugs.gnu.org:


Received: (at 50993) by debbugs.gnu.org; 11 Oct 2021 10:40:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 11 06:40:59 2021
Received: from localhost ([127.0.0.1]:56689 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mZsjr-0001Ah-Bb
	for submit <at> debbugs.gnu.org; Mon, 11 Oct 2021 06:40:59 -0400
Received: from sonic317-34.consmr.mail.ne1.yahoo.com ([66.163.184.45]:44858)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luangruo@HIDDEN>) id 1mZsjl-0001AR-LB
 for 50993 <at> debbugs.gnu.org; Mon, 11 Oct 2021 06:40:57 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1633948848; bh=A7gKaSNVPZhzTOqwKp0uo7WAe+hY43vRJHTEf43oMOI=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From:Subject:Reply-To;
 b=b6VYXqg5JiMj+cZDTM9BcGUY7CnVK9F76JO4o5kNkw6OI1mPadac39wMfKcvpnP085Q9Oe9NUKIywKkIr17H81hU5PvOAXxktiIMAXxD8aAbeEVHw9xiNJp606h9tIE9CtKK3ojWruLiNEsaUfNXCl3eDQrqGT8YG6q3oc71tLhRSiDSdOmtyr3xT81+iB25wIWQPLFU31XdisNWM3XbiG1c/IDnRmZcfL1LqWhKLX5BNsnoVC8lQf+2aXY/T5d+1Z4fzW1q9RxiLXNsglFVk1c+rMeuZMUCiaiCNcXPVu9ncu21tq2s7FY0QJoOLr53+l/4qkdntt7TMyeao23YSA==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1633948848; bh=zrAHG2OHoibfqH98RoSDg3+IjCn3ZwDQNWdJ4ZS1Kl9=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=pu5Rb3HB1AJXlRFZYMXeV2O6L0vBSXyBxj5t6gFkpWaYNpSd5nQ1AVSTZQvrJi1YMa3Lb9ynBMFLf1ExVmyG8j+6n2ao61mywgnaBcvmr51O9ZyYskzMnR0X0L/Ste+8zwD2ECR/cFSbJ0xstqPtF3aHv9EjFAU5XEthvTWKarp6IkX+1sCB/FZzGURsKq1nO7hJELi7qScViKV1D0H04Arc4Khl1RiDFJcKMKZC+DB0pvIbqKEkvUqM3MGEx9O/8DHzqMc6l4jJvVRi/zxXdholOTXujV5F5bbmx1s/D03x214mHDXu4OEupNH8YZYziVhTxJML5CFMg6SqroDiPA==
X-YMail-OSG: QYTZnUsVM1ndgIBX7kjTj61rk5QWQgCiiY6Pm310NKVp6wS593vGylma5NvQmmr
 ArgBawMuyGwSowhmJW7SnEI49ljKL97iohCg_QkBwh5h6VGF5pW0SBnsVbG0BKeYvLImFBOyJc1G
 uUKY5zzKr5Iq5Jh4oK_Rig4YY2D6OLsQKVSE8IH0CiRI5EYHHx4m05ppQ9XpKfAoHrZfcjHmcymZ
 vuuB_P9F2wkSfjJPUC3rWN3pUYjXWo2.DxPx.joEvYX2V7IQK2vvzNm40p0I.iZz7wGm9k6HnK4a
 MWPON8qj.YChVWRMsdtk1TWJlmguXUHoFxdfnrOS2OHKsdc7xCSB76IXErvBY3Fs_kgPjhx55qgT
 SywHlo8_aO_KhB0YhKWM1ZZmeyo7FUd4ZsA3kwEJwje_Bw75813F03yzmDFs15fw.ggbdJROPwYW
 nMIb2rdr4DUPtIfPdKRT9H5lLKtzgJ3n1l3OS_KO314JIkys0a_MOzyu4QsHrTkLqXQgrxNpRZXe
 ymci9s2Bt0T5bRqF2J_x8EfgczH3hcCkw2LI68OWCr2oAnC.CyKMVSxL_1wHRfjo7mxtrDSVw6xO
 dkTN6Fp4Lk4i3hunc0p_OydHOvwLwRl.FflCmostIqXp1jr6OTr0uZ2DzzxurJej6OV4ntxiCTrt
 rL0L6o5arpz8rN8ibuMHtc5WhinHZLaoeAVkIcY0WEcouCm_KWjwnRFYvetx2FNw3S_LYeD6Rmth
 aRml7PZjRc55nI7Fku70QmfEsLe3BdrNJE3FEYjUZjs8TOy3k7MNVHPjRoilYdxIlx6FOpgqwLJE
 Vyc2SJDar.piIag_RtIpmv42wMqBlR1bS6FrrYEyMTir3Or7khkMrpLFE3MLZbFq7Xid6QXQlosY
 7dELEtMghMyMxKzJZbEqYAya8gECYhvaKpxKRxKbT7YOllXBJ_KiH0lO3Q.DrbFVYJwdEl15qHvI
 7cvJQd1lg5a09wIKqVlMNYoXfVuGFoQe8mHQkF9LjVLGxKYTWUHVKff_ZXXax7enHH4e8i9u2kv1
 G.rIzSNIHFNoF6RyESoitEvS8ErwzuE4hkV.UStNuIHX71S0j2iMCq5XdNAxcLduCdA1eu1169AE
 GIVoicoaoK9l3CxHHK76jXFRTOAaTaJuLrfW6z5awiisLWqpr9GRB4aZXPQKXHghD_gshGFIjxGY
 Y3GPLpSppjH2ZQtghiRRhgcy.ZT4k7nJx9F.jMckWb0PUV.C7DYE4O5MuvvQYxiFIuFUi7AIdHWo
 yk2sMJFXtQv3.FjR5VPxnQ6ya.0IeswFjhXdmTkfAWOSjyq_ZK9qb0M6tKSybuoe6I8s_tWSabZV
 usnYM8fj6OF7jtRcMXmGy90EfJFbu66gUeRxWcsveWfgszPmPr47t6xfTyyluvcSDFiz6MDKDGZ_
 1AyBUB_Vb6UjTjiTRydns_0wHTcOTq2IO6n.BCcRAQNShGmhc4.Rre3Ep9ofEt1f6VdY.u_ppLpN
 Fl2a_l6hQsefxrtg2YUqitnDKKdJQqk9PLTtixe5VpOl3l5HLzZ6xaYA7ouviMZ8kUPowaC2CdLZ
 _uWckX.OjabaacoQJ2HtYvH3grAX0Zyx19EAnLtKQYQFo5nRqfY99A_VMSPItMnwPeopB4L3HQ6C
 s.RZo.U.J.26NIU3K8fdJTfMPJMuuYmri6Wew3G4KP3QL1h5izRH96PpKB06ux9J5l59grRNj3tA
 jaBIKoHyEvkJI_cGlCab7_uEyh1aBTElvmsPnfTVkpJMp3c1Gik6cjtxREgoWpwBoTNpY25t_20A
 YK2e9.scgdqTPxmcp1hlNkxfKW2RPeJq31g33CZHR.HokBOKmhKZ.D6xjHzSXpQ7hqtOKEkyb6ge
 zkVAR12SqWmzMzfGIgkpDMBeklSKZUW3QkTgPefCFu.GNGe75IHvELp0bScPhGxhfgJ_nynpVTo.
 OqAnIxl6MoveW5XuAcb4ilWcJwFoSiP9_VDqjKDzJXo7qyusrElZTI4IoO4quDa_GF..nY4OeXNz
 lANYqGWn6UVl4s9RaYPCTLhYqB3IhaAwvhavfM7mGLF_qRC0M.zSMkHEJBmV.syWzolcpb.2hZcx
 CmXOvHzlddM.d8Jpwc1coKuK_FFR19GBNxRXbMEIJKRjOqVSwFs7BM1abGS9YOwtaeE_FUyyJK02
 il0wH447QXbfwrDacdTuOS6dOzhekrvpZZl6ZTUSD8qtJKui0TA8W6zzvPQIp0ErdrsMEaqZNTTR
 tWvKDh2VLqFC9vzKXtJ2WSebdhuVeFlTKaX2IxjEDxOg_Kv2M1a4XwbrE5p4-
X-Sonic-MF: <luangruo@HIDDEN>
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic317.consmr.mail.ne1.yahoo.com with HTTP; Mon, 11 Oct 2021 10:40:48 +0000
Received: by kubenode511.mail-prod1.omega.sg3.yahoo.com (VZM Hermes SMTP
 Server) with ESMTPA ID 79bddeec4cbba83453aa320bc7b30bd4; 
 Mon, 11 Oct 2021 10:40:40 +0000 (UTC)
From: Po Lu <luangruo@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#50993: 29.0.50; Problems when dragging the mouse over the
 toolbar
References: <87r1d2b9e2.fsf.ref@HIDDEN> <87r1d2b9e2.fsf@HIDDEN>
 <83y270rd4j.fsf@HIDDEN> <jwv1r4svgxa.fsf-monnier+emacs@HIDDEN>
 <83lf30r8eq.fsf@HIDDEN> <jwvo87wtumc.fsf-monnier+emacs@HIDDEN>
 <877dekcsc1.fsf@HIDDEN>
 <bfac3335-23be-e3cf-76b9-1a68f2444548@HIDDEN>
 <87ily4aur8.fsf@HIDDEN>
 <44097514-26fb-fe2f-fb82-cfb819f13d2a@HIDDEN>
Date: Mon, 11 Oct 2021 18:40:35 +0800
In-Reply-To: <44097514-26fb-fe2f-fb82-cfb819f13d2a@HIDDEN> (martin rudalics's
 message of "Mon, 11 Oct 2021 11:21:15 +0200")
Message-ID: <87k0ijalp8.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Mailer: WebService/1.1.19116
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 766
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 50993
Cc: Eli Zaretskii <eliz@HIDDEN>, 50993 <at> debbugs.gnu.org,
 Stefan Monnier <monnier@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

martin rudalics <rudalics@HIDDEN> writes:

>>> I'm too silly to understand how this is related to the issue at hand.
>>> Can you please elaborate?
>>
>> AFAIU, mouse-movement events generated by moving the mouse over the
>> toolbar don't contain a window, but rather the frame the toolbar belongs
>> to.

> Yes, but how does 'mouse-minibuffer-check' enter this picture?

It's called by mouse-drag-track, with START-EVENT as its argument.

> I see.  Dragging the secondary selection seems to work here with the
> trivial patch below.  Can you try it?

I'm sorry, but it doesn't resolve the problem.

Binding [tool-bar mouse-movement] to mouse-drag-region still results in
the same error from mouse-minibuffer-track when the mouse is dragged
over the toolbar.

Thanks




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50993; Package emacs. Full text available.

Message received at 50993 <at> debbugs.gnu.org:


Received: (at 50993) by debbugs.gnu.org; 11 Oct 2021 09:21:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 11 05:21:31 2021
Received: from localhost ([127.0.0.1]:56596 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mZrUx-0003BD-KA
	for submit <at> debbugs.gnu.org; Mon, 11 Oct 2021 05:21:31 -0400
Received: from mout.gmx.net ([212.227.17.20]:39105)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1mZrUu-0003Au-K6
 for 50993 <at> debbugs.gnu.org; Mon, 11 Oct 2021 05:21:30 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1633944077;
 bh=4bFcDL3wRVjoMXvKbmqXyRiR1Z2N805+HUSfVo4DpHw=;
 h=X-UI-Sender-Class:Subject:To:Cc:References:From:Date:In-Reply-To;
 b=JnfyLdBTU3bKAIc6VfG6n9HFWYIs1bJE11LGaa2GPSQnu4G3WGEBIKckGx68MUHN2
 wtnqMMHM9QdpiUFlzaaOkWtxZieoQHJmgWwChLeJDrzQ/WR8TSQM2JwfuYGHBiMHlI
 e2X3BnrN9LMPu+hHtckqfgbJj71dP44ILp89anRg=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from [192.168.1.102] ([46.125.249.49]) by mail.gmx.net (mrgmx105
 [212.227.17.168]) with ESMTPSA (Nemesis) id 1MJE27-1mLMe62AkF-00KgZy; Mon, 11
 Oct 2021 11:21:17 +0200
Subject: Re: bug#50993: 29.0.50; Problems when dragging the mouse over the
 toolbar
To: Po Lu <luangruo@HIDDEN>
References: <87r1d2b9e2.fsf.ref@HIDDEN> <87r1d2b9e2.fsf@HIDDEN>
 <83y270rd4j.fsf@HIDDEN> <jwv1r4svgxa.fsf-monnier+emacs@HIDDEN>
 <83lf30r8eq.fsf@HIDDEN> <jwvo87wtumc.fsf-monnier+emacs@HIDDEN>
 <877dekcsc1.fsf@HIDDEN> <bfac3335-23be-e3cf-76b9-1a68f2444548@HIDDEN>
 <87ily4aur8.fsf@HIDDEN>
From: martin rudalics <rudalics@HIDDEN>
Message-ID: <44097514-26fb-fe2f-fb82-cfb819f13d2a@HIDDEN>
Date: Mon, 11 Oct 2021 11:21:15 +0200
MIME-Version: 1.0
In-Reply-To: <87ily4aur8.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K1:mpkCe8wFWUDRawyRPfDk/FUnprbmD4z3i3PSeHA6Pyh5jEtPMWv
 tACCDt0R2psTp6boLS8F84A8NtQJwEE2BgTQJvsK/+EFzSN/sL5JHxJDXmJHklDAdoOcjLm
 w4AML/Bq4tCnCuJyDMDjXuSCPDwcsTgjUpF0RsdRE7HkvRYWsv+YGDYpvT4ER/9ARgVCrkv
 zDEWQIDdkapncgdqhhA0g==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:paJA61ebPdw=:ZgRmGNctmK22IV7C0wPPdo
 DJfe6NNMD1vp2FnaEyiP4GDdE8U14XCk4u5s4xDi2oyErgICiwess7J3XZgl5mqhm3D+OypH8
 mHHZi/R6+Hea5HjjDJD8zN9l94TihRWRzEn8zJPbVPzresR7cpnj4MkOXQJXBAShEyEPAYEjY
 h1OcFYFdoc59FJgvMN8mkGVo74gli7Gqe3W/r9/LWd5N9g3hP3J5v9xJ1C2lfvFKEDXyRHNTd
 M7TfTaLdTsE8vC5zp3Yx1/rJfdd0PY1EwdER+EeQzOuTuqlH0V5t4x7kdrJJoOUmaeXCXul/J
 BHjV1yjTx6eRDt+I6B3LkDatCpiZPxRweHu49XGMFc7mVPee0fQ8LPDitmntG1CJVsrEMqwS7
 E7o5vZTZhUrKCGduXOerlfnmtydJZ/m5I5NiJkeD535tzNNUTVKJ+ehXQL/eGmBtfKtFpb3ZF
 sr+C2T/sQog3Ymbued5iXPTv3hdZjxDav7AjnauoIJ6KMCLo6yWzS2ycX5CLYrxeRlsyTPyOD
 adVXdnyS2pEH54AccGZSIcSGTLyAloVqUlwq6R28BLYbWmXUxF7WyMVA6hxYA90jXJiRWn2Ml
 taMDQRY2GKbYRXvpfM5psGpvQPwS6MGIPlqX1sWQ5TuISyPtNAfNvqG5RBTqGlqTpn57QxI3W
 VQ50+EC/+MmKnb/qBhYLUr4gJdHenw9x4vkXHyJxbyG5NkEimwnYy6QOXsc8DnC3lmScLFyvT
 F/2/SNOTM+BvN7DI/00slJzUg1+RXqhUZAwS6DfVboojnqEgmSmP2q2fG81nkCRlEaA8A57K0
 mcZj8AjYyjozL3rn6OPbqZEHZS1YCF9EkgLf8MwxgWaCjOI2dBAebUbVh0XcdpOFZL6jEutEY
 somC0oxggUu5XZfmFTuv2l97XyQykH+1TD1M5O+XwI1ni9lODhAtSH0t6US7rsm64Wzn7KART
 4ihbWc1q1EjH4YUQi9ZOgdFE5EwcwIXB1OpCneK1mjoNspcVXuNY4zBI0B52XdKmv5/9wwNbu
 EAFteJ/zhaiHu1vKLHLpbLMVtkk0dLk0SQG3PiaHtO4MPK9P1rOj8EzHOBjR19asJvrK/BWDc
 gp0qkqi7vbqh8c=
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 50993
Cc: Eli Zaretskii <eliz@HIDDEN>, 50993 <at> debbugs.gnu.org,
 Stefan Monnier <monnier@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

 >> I'm too silly to understand how this is related to the issue at hand.
 >> Can you please elaborate?
 >
 > AFAIU, mouse-movement events generated by moving the mouse over the
 > toolbar don't contain a window, but rather the frame the toolbar belongs
 > to.

Yes, but how does 'mouse-minibuffer-check' enter this picture?

 > However, mouse-drag-track wants START-EVENT to contain a window.
 >
 >> So far I've been unable to reproduce this issue on Emacs 28.  Doesn't
 >> 'mouse-drag-track', once started, conceptually have to get through
 >> wherever the mouse pointer is - a child frame, the tool bar, another
 >> frame, no frame at all?  Like scroll bar dragging with the mouse?
 >
 > You need a build without toolkit tool bars, I think.

I see.  Dragging the secondary selection seems to work here with the
trivial patch below.  Can you try it?

martin


diff --git a/lisp/mouse.el b/lisp/mouse.el
index 5d4e05fa25..6da4635114 100644
--- a/lisp/mouse.el
+++ b/lisp/mouse.el
@@ -2121,6 +2121,7 @@ mouse-drag-secondary
  	  (while (progn
  		   (setq event (read--potential-mouse-event))
  		   (or (mouse-movement-p event)
+		       (eq event 'tool-bar)
  		       (memq (car-safe event) '(switch-frame select-window))))

  	    (if (memq (car-safe event) '(switch-frame select-window))
@@ -2129,7 +2130,8 @@ mouse-drag-secondary
  		    end-point (posn-point end))
  	      (cond
  	       ;; Are we moving within the original window?
-	       ((and (eq (posn-window end) start-window)
+	       ((and (not (eq event 'tool-bar))
+		     (eq (posn-window end) start-window)
  		     (integer-or-marker-p end-point))
  		(let ((range (mouse-start-end start-point end-point
  					      click-count)))




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50993; Package emacs. Full text available.

Message received at 50993 <at> debbugs.gnu.org:


Received: (at 50993) by debbugs.gnu.org; 11 Oct 2021 07:25:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 11 03:25:16 2021
Received: from localhost ([127.0.0.1]:56305 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mZpgS-0004Ey-DQ
	for submit <at> debbugs.gnu.org; Mon, 11 Oct 2021 03:25:16 -0400
Received: from sonic304-20.consmr.mail.ne1.yahoo.com ([66.163.191.146]:41280)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luangruo@HIDDEN>) id 1mZpgP-0004Eg-Vc
 for 50993 <at> debbugs.gnu.org; Mon, 11 Oct 2021 03:25:15 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1633937108; bh=ovn7oxXHGZryATKSfZ41T1uaRLv/idxVvft8UuY29Vg=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From:Subject:Reply-To;
 b=IgH6Nrx8UW57plRFFeC/lh9iaaPRB5NsWKG8JvUgc/pn/j/Sk/dS0Ld1k7b6kPnASA+f66WdZz+RcCR7aDo2cQz/eGgdFnC3xwp4faJ1oWWysVoR2t7dVys3Xf+15o3e47QiJl7G/WoLuNlrfSg51pZK+z8o6hU25ApkshNkeW6laV0mrQpjBPjoE/3xWex/c1EO0BlFHRHKGdqJBlwevM5UEY8ipQfjPMjzrrWzFGYz5WOUHcS1arHF5in3dS/HeytZBAh3PFUVySALtEpy2xH2Q3tSHyzfTuFYBn/xDmUWD4II0XT3+aeEVeli7t+Da6t4fKedqzB0Z+L4SAajsg==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1633937108; bh=iLohkIl3RzvA6RlwXZLwlmoe13h4+QAu+P4BQmrpcNF=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=q2Y8m5HH6Ar6JmNvn5xGGnKqd6XJ+ZRyTFJsElUSJ/wUwJ+kPz5XmuD28CMMPZtTmIRSJzNi46hNE9iZOtJa7jwiBuV5u1XLI6fusmMxZoaRyrXSkRtJwar21l80tOJNquLEPBcwiXcTu70k+9hgu3k982UqV+g6T6JuzFI4nsu1FZMkI+LhUl7m3oho+COfHCItOL3A275IljwCVJNvdyKtLdc4SKOzjtCVYI+VmLKLJy0y77TgXd64hCzvI2qMSE2XhctAub8JbHATRqlSSJwq47DZ+uOzeDAGXPrSdET/U7mRkBBjXit6Ba/Bt8PUrDqX69AumV4UY//yY+LU9w==
X-YMail-OSG: CBg_tfcVM1l_MvvoORbN4qp6i42_fj4cFhvZuur97MsRnNoGK6wKflwIy092IOz
 IbzVyFFT3BuLcTUihtTzPEOlD.Qk79JMBrxNbe1riTLQogCbfm4Owb5PvvbapBwwkHI67v3tMvPC
 _rFNtscC5f3JyplS3BdmeiVE7jK9OEtsz5XbnH9Jf02O.k6ni6EszbihvKe0VUBQw.NbKxNnF2Ov
 M_zSBxtX0hldelFKbo4ztWx7On1w_ako_rBLrZo1wL9Sz7IilrwcGoJTpv8v8oLxjGI4i65fTQhT
 YasqKwCAtVrrqUtgncN60aQ7gEC1I8nkNFGTpBi7pstQfsK9YZ6_GB2vsdg7Xou3RbJr19tcxXJt
 Sb8bomamRLLDxxgMVn7WMt0Wf71Y2LlYApJPFdrHjowkMa88rj5re42epgmIxUqLNnRFF1s3oe_N
 XFRHquCkMXd1HM1IkO.QLEJ1wo_eWgMHanyN7ZWL9LHWWMvPKbLdawDWA1kvdGwD2ULGjVH_Nee6
 Fz5j2NN5PvONK.ZgcDNMvSwaLMWaLfK32k4wE7ly7z22iXO8T81wq4yCI0Fr4CwdLEVblV74wmYb
 hYACrPmnoXT3rwG4bgIT7blXqFJXsIf80huUiZJjyAL9C8aX2ByHPQ1njBvkKd2KtLYDBr3OsFEV
 stmwYX1Dqvah5uS6K2.EOouwxXHKpkRwCDhBeezamH6iNO_2bUq07pH_Im_9aRRZy_hGaxKeOsig
 OKLtqUowPdeS6MosQ9uqNFeaEHDmq7wVidXLOopxwl7RqiIQ4FYV.MNcBNQUU3aWJ_eolvaekESm
 OBsBAJQ2ZJXSY2VbxSNihHvfZvGQWugKP9hzLynJCPInq1IfAEgmNfJfVhdecdt2yhdOWJ0UMKet
 T.V8un_iAF75CW8Z_lBpKRv.GTog._arP.f1fZoOu7COKou2Eu2O0wY9TKkX3ia3r7ZC91FFAa.s
 1y9QaQHza2na5zzqGFGO2Ezs71yv12kieV7_WqkDjUz0O64j7e3nCsbnr7SZwuNS2f2jHqjRILD5
 Xmlci1LMGq3H2SMYkkkjuSNU89fjs4CGJ3r8k9ahweeroHkig0..0XMGjQCpxQd0RALf2i.nYySB
 hhpAT.0l40__2HNEfNS0cU9bQGoqhKlIGuj7rtAwlt3GkQE4RCOKBWxUeOtKaS62i3NHZ9SSB.Tq
 mYSC0r8yPY9LqwWVsDZ82r4DUri6yhA7C3mxXRLTXHRY2OjIpc6a3lWVJxc8xPrN9.sM4M8a9Nga
 xsTjJ27dOYKpYQknFwj51uP9IgGFTI4CJdVwgda4uGnIR4PpXClR2nYf.pEOplu_SD2e8WZFtmuO
 X7GROmcxGXSyjIxzivwt9qllAZtum_vPZFFcXrc_B.0UyX1LD5k0WiFPkeIjo4_d_cMxeblvsxgS
 xhNGFNA.PIebqPbW9kFxr82_pmM326V8UVFYErDdGD2AardEJ33AF3OIJxZKA3RG1dKTCGwaF9h6
 tky4ufgYFhRq6hJosD9hrXV3uXy6Z19eYFU5J02xfosm7x7QmFHNSvWElEHlgh54g.yqtuqccXT4
 _baP4beKE.83VBm34E0a6tXoIpWNTzBDdYzjtLRp.2zqunOhOWbARdw4zQEi07ldXTsYhBuhxpEy
 amM4SYut_CaDFEHYL7FKX9uzDPWnF8mOwVVqiyQbAFHbYPjEIInfd8yz4HK1hUzikhulQu_BOE9g
 LXCzP60766ZJo013bCY4LYboWYX1GTKBVuLWyBog__nSob0JbfD99hf88sFaWbzPtXUw2szzLYah
 eWvnGxZmRecwW5xD.hwpLSxNKgfGf8MuFBkUPYurqmWIYCOd6Ks8E3g3oezdvrgC6dXRqu.a4K0S
 _1MNmjEXHB6ZkDmmtZvOrUgDbp8FrJVS9AKT.0Cye8RUgx_4q7Un2ptE6zvKVOFvsgBC0eIly6kn
 UWPk7qt5Ud6vt7Q.2_JZfuyFUDIIm.40Jqw7nQ23thqM1sCnH0K6cCqdgfyJ3FBSLGG4ZVxySNSf
 VKzmGjFRH2jmCgGDZ90rJqhwdH2eRAC6Bghp1370G4ec.037Y2FoitR9GvRp3Ga1DvD1wD0vHLgg
 9ZqPTEJ4GXGr21wUCPoKv__sQEeYCyUCEWwwN5AtDkEQQc9XZfpGJQtsO0iUz2N_qqlrucVR8LYu
 tMwXujamd7DIjlZ7fXoFfEvI17E0p6YoKr75ZQRf_w7OxO.5XU36xxo7wvy2Kc5vPUhO6gyxGJPI
 vfzdqHehG04nxTs57eUjILp1Ve3aT3cmwfy.s1jx9nMbLVFhpeR8fbgY-
X-Sonic-MF: <luangruo@HIDDEN>
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic304.consmr.mail.ne1.yahoo.com with HTTP; Mon, 11 Oct 2021 07:25:08 +0000
Received: by kubenode513.mail-prod1.omega.sg3.yahoo.com (VZM Hermes SMTP
 Server) with ESMTPA ID 8b4c7092772e5669986c9d5dfcf550f8; 
 Mon, 11 Oct 2021 07:25:02 +0000 (UTC)
From: Po Lu <luangruo@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#50993: 29.0.50; Problems when dragging the mouse over the
 toolbar
References: <87r1d2b9e2.fsf.ref@HIDDEN> <87r1d2b9e2.fsf@HIDDEN>
 <83y270rd4j.fsf@HIDDEN> <jwv1r4svgxa.fsf-monnier+emacs@HIDDEN>
 <83lf30r8eq.fsf@HIDDEN> <jwvo87wtumc.fsf-monnier+emacs@HIDDEN>
 <877dekcsc1.fsf@HIDDEN>
 <bfac3335-23be-e3cf-76b9-1a68f2444548@HIDDEN>
Date: Mon, 11 Oct 2021 15:24:59 +0800
In-Reply-To: <bfac3335-23be-e3cf-76b9-1a68f2444548@HIDDEN> (martin rudalics's
 message of "Mon, 11 Oct 2021 09:19:32 +0200")
Message-ID: <87ily4aur8.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Mailer: WebService/1.1.19116
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 690
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 50993
Cc: Eli Zaretskii <eliz@HIDDEN>, 50993 <at> debbugs.gnu.org,
 Stefan Monnier <monnier@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

martin rudalics <rudalics@HIDDEN> writes:

> I'm too silly to understand how this is related to the issue at hand.
> Can you please elaborate?

AFAIU, mouse-movement events generated by moving the mouse over the
toolbar don't contain a window, but rather the frame the toolbar belongs
to.

However, mouse-drag-track wants START-EVENT to contain a window.

> So far I've been unable to reproduce this issue on Emacs 28.  Doesn't
> 'mouse-drag-track', once started, conceptually have to get through
> wherever the mouse pointer is - a child frame, the tool bar, another
> frame, no frame at all?  Like scroll bar dragging with the mouse?

You need a build without toolkit tool bars, I think.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50993; Package emacs. Full text available.

Message received at 50993 <at> debbugs.gnu.org:


Received: (at 50993) by debbugs.gnu.org; 11 Oct 2021 07:19:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 11 03:19:49 2021
Received: from localhost ([127.0.0.1]:56299 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mZpbA-00046Y-QH
	for submit <at> debbugs.gnu.org; Mon, 11 Oct 2021 03:19:48 -0400
Received: from mout.gmx.net ([212.227.17.22]:43259)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1mZpb7-00046J-DK
 for 50993 <at> debbugs.gnu.org; Mon, 11 Oct 2021 03:19:47 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1633936774;
 bh=GqmAqeFcRxtVjfySm02ov4r2Rsm2l+6vKOO5i/88ouc=;
 h=X-UI-Sender-Class:Subject:To:Cc:References:From:Date:In-Reply-To;
 b=eHOG9suP27ugPdw6PFt435iGHGKALQa2Qh/rZPe6V3dvO7L9SrRNQIsblwv0qMo1W
 f169hqT4+EJL4DLwFdz47BJDGDEQ8EbAkwn6w0pBowFjWkQeHW10uyKNxD4JihiBE7
 MCxQsYSmI74WYZRNY4vH34FYv3vQa1QvqAMyGl3w=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from [192.168.1.102] ([213.142.97.133]) by mail.gmx.net (mrgmx104
 [212.227.17.168]) with ESMTPSA (Nemesis) id 1Md6R1-1n84DV1Qo7-00aEN8; Mon, 11
 Oct 2021 09:19:34 +0200
Subject: Re: bug#50993: 29.0.50; Problems when dragging the mouse over the
 toolbar
To: Po Lu <luangruo@HIDDEN>, Stefan Monnier <monnier@HIDDEN>
References: <87r1d2b9e2.fsf.ref@HIDDEN> <87r1d2b9e2.fsf@HIDDEN>
 <83y270rd4j.fsf@HIDDEN> <jwv1r4svgxa.fsf-monnier+emacs@HIDDEN>
 <83lf30r8eq.fsf@HIDDEN> <jwvo87wtumc.fsf-monnier+emacs@HIDDEN>
 <877dekcsc1.fsf@HIDDEN>
From: martin rudalics <rudalics@HIDDEN>
Message-ID: <bfac3335-23be-e3cf-76b9-1a68f2444548@HIDDEN>
Date: Mon, 11 Oct 2021 09:19:32 +0200
MIME-Version: 1.0
In-Reply-To: <877dekcsc1.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K1:ZIv3xtl1y4tDtPxNnfkbteStVT/oMw8IVTVZtj/zUblSy8FtkDG
 SKdwn+HNVG2DPO6+Bh41Kb6jgm03Beh/HLmoyJevRayuNGgyV9K+QXKZMkfR7FbivD0JEdq
 rhJ2WCE7UbJfPTAeb7l0air7Sm7noCCkBAErxsO7+LbNJgeFWKqB54lHb+fgxkF/6hTdE0M
 /OYdyPOuAPi/te8u6T7wQ==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:fauridb0NeI=:IThiDIJcbX1t/sPZfMSfuC
 AJbLBoiyUIR5G0xu+/Nzu9gJkzmuF2CeWZD+6oCm2yZlOlmF4wS+HwT3gaXR1VQjcnsroOMKu
 uOlKtu4nyrrV2pOyB03cnzAjUMfXh1cHqmpdgi6n4z2jvRWnFW/CNrCUnI+u7xqb1Z5lKK8hj
 PbfiEjRKGarSdDPx3AwKO1VEv4ViZq0h7qdu/xacC12Z/rEUhuiY0wvQHBiyu3nRYxFplrLFo
 nsIXZvLtWAeEMF2h1ZSzaMA0HMku+PUPn9885xvIegEKUCjzZDyOU2sr/Q7sdW2nZQS22HPSa
 nUFt3OypZTzflbjy1UpdBt5HiU71iFH5VY8XXJJtYSTFVpGBTTtoYuEKr765DG3k74dvtgHAJ
 MrdGDTy3oLgrSvUXt6VGFn6xPeBpv+BsLvCWS2ioYy3/hCeZkrDBOI0+y0MfN+Ert4BAx96mk
 yJ3rSK6uPOcc7flqUdJzoId6ec6VWU2CA04AHNukFp3fdp7XtFjJnh2LSImp0n6bsFz0Qb9GP
 4Wtp9iKr2K1cGiX/SqSUZqOURTROB8xvpd5qRPZttq2J7WXUJrDLUDIaw4rAGpW9xsHNvHm2E
 4EFrmm42Unetb406j7ZRN1ZnzG/faG2ziVVopCHNYD3ZF2JpQ+7+D/fE6C7osDar7vhL88bNT
 Z8W4PoAtAujjtAxxsxLFXz2+ZT0JLBEJEcMPy6/MPcGMivHBqnIVZBcDPa8NA3UF1coz1UiKK
 oE03nbJYSn1C0gDSvlQErkUFtOXehUqyxsOsZpAzT9jg/U2jy+uLtJjTEuYHyP8+G5n6JhW/Q
 IKWsfwQZwiahLe4aJLS3R2CDxEMTUaXgWIJ6kFKurqKuM6XPAK6oqPrIPw8fa6A4PKIVqZlIR
 uN705LJTaCCfh6y6OInA60MsXD7VxDgebQoLWiGAdpLhnuj/HyBSMvB9lj3HAr+CvxEaHa6G/
 MEtjZhbHgRt5fbjySVuxYpJICXIgX/OY3x9R32yDAUA5fWfVYDF/AmdlJB50zFvi5TxAAYBRu
 kGYYos6jo3IJHK5e8i0i731ysPeHNtBPpUqcjwo5yI0V6x1NZuG7SZaGUOBm2m2sFQmpwNY/C
 q1pUwQSf7Xqf9I=
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 50993
Cc: Eli Zaretskii <eliz@HIDDEN>, 50993 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

 > mouse-drag-track calls mouse-minibuffer-check, but the event's
 > frame_or_window is a frame and not a window, so it fails in a call to
 > window-minibuffer-p.

I'm too silly to understand how this is related to the issue at hand.
Can you please elaborate?

So far I've been unable to reproduce this issue on Emacs 28.  Doesn't
'mouse-drag-track', once started, conceptually have to get through
wherever the mouse pointer is - a child frame, the tool bar, another
frame, no frame at all?  Like scroll bar dragging with the mouse?

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50993; Package emacs. Full text available.

Message received at 50993 <at> debbugs.gnu.org:


Received: (at 50993) by debbugs.gnu.org; 11 Oct 2021 00:34:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Oct 10 20:34:42 2021
Received: from localhost ([127.0.0.1]:56114 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mZjH8-0008U0-6u
	for submit <at> debbugs.gnu.org; Sun, 10 Oct 2021 20:34:42 -0400
Received: from sonic317-33.consmr.mail.ne1.yahoo.com ([66.163.184.44]:33605)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luangruo@HIDDEN>) id 1mZjH3-0008Tk-VZ
 for 50993 <at> debbugs.gnu.org; Sun, 10 Oct 2021 20:34:41 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1633912472; bh=oPwFaNAGbzn3pMoiFa1cGjUCkzVeKeRLheelGcPNDMU=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From:Subject:Reply-To;
 b=LuLeymNfUx80qrSGwNHVBrTkKSHxAzAVZIwpg6iEakq/rA3fl6Gr4rOI2t5W93wdVI70Q/XRxkxIcYWKYNwzw4Dtx4Rr8BksE97TkpxQV7eCXVSVOK8BIZwidmz3IA/1Gol9VuoyFe3QtsbKGFvQWswUZD+8qnm6AuePn9SVzTMSrlOx2lcHHtFKANyN+jwl+/WPl6y7RQx2RZZ+Byc6kG45bMVFHz1o8SXqQjz6sHG8laLPLPEbkufP5vgB+48y0tq1x6nO83YqTmkTB0qjVXq1xbPGjFZHE9mjnfOGbypSRy4pI011CPllhpGAjcnZqAs6fIInJbFaT6wCLW3H8A==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1633912472; bh=FS99gIETvUhd8fyRYXC2Pb9aLbhRlvKmSfuT7ICKBf7=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=oRE7TrWdyKm871PNCQV4xBD0nm3TJogxQPC9oI7l+OgV45mhv307MeqHpBQanxs54XjAYPpEGCpnYphDqQ9dNK7WDcTTH4M90eZP9RBpA9OfDZQtpwZKsMj8c4FfmTHppSBOXkgXQbgA77ilFMsiDHe9l75EpLzPWCd0EIO0MuD66i+FjorlEK51OIEYn8JJYV0swzjE5wTcYqun8FqHRNpjsUp5m53D7dn+COh3ZXCpkK2XNjP4VRhMgFZDeoqVeojSZmO0MJw8YhmdGyluBXYO9CcFk4Yy8oKI8N7I//E6mvbEf66FLvW9MBz4f+TjG/8UHjLahrMffGXozDgm+Q==
X-YMail-OSG: l0azQjkVM1niJb5SqttNEPWQNCi4eqL0rHm5AHWhF0sGl22UEXscbuiUIm95NjI
 N3wdUqMMoI5iheDZG1TvDrcnMZTlpQu0KjIF.dClqAczNlSt.zUwU_nyVZArujX_WXg5CR.pm3Hx
 7sEpH51wAMVNZOVmUMd0knFIk2g8MY2k6uUJN3IUPAb.zY.2Jse9cqkKJrpFgh9fGKcxiBdFdYW4
 6wP4rLTFM0O9kTpYl8cSsYsxP._UkGiEpSOM__yBd2_Cyu1EnFQut56XxsTCsG4sFTsgr6jVMvnt
 Y2aeKPZ4BriX726p8WX739VrVP1WB7iv55uHc9PqxDNCXdECxHfyhNIEMQyasZxcy36aemrX0Qpd
 UtQBdr_5JRx_3YiWgIPv1Q.j1HxFY9CZ73I2ZHD_jSMUCwlVuBFUO5O9nuGlTtOgNopjKfQxM.Ik
 gNVHsrEV5TxI0cJuBj0XgBOvnZeX1_G_xsDf69Zihy3j_wbSpux4zkf7U0f14bgnEeV06n_Xh4Xg
 0mEJ6GSOAM6VVebB0.X5N705BBfRB18eSLk6emo0_qNv4JctBY1dvBE_Bmoy.bH3SKfD2MjiVaJf
 Mv5qOa40v1Sh5lhyEVZTP9cy4_LnbUyPoZGnCJ2N6DGE.E3ioU4Ed1CUmN0QQXATISAuNxdMUlHX
 BqD6bWTT6cLOB0ghS9b3140l1ZXXpg5vprsul8qkyc4Ztw1euY3nC4c1OUoDtnvppzNGGTVwmMSp
 oi6PrIwNeZKYXvc1TBCcYjM1__C0FMW6llVOxdh674aTvmLLGdA0Mk1doy4oWJXLEqHIT.zhgrpb
 prKjjdchEk5YOqKKqn.NLcehWi4BTZ_SUCgS8O6a_.RIWwmos2h1udgitN_jELP_He1LIw1EaGLI
 2_zaZalluRs54fE3rcAfOL6ubLXSOi0pQN4zzfh913m2ZFkG0KxhR3lxine6whDsp5r6bTUmKeBI
 gQ34zB9Vgljc8oS_J3rgorJrN.D0Di1jW.OKNyu1yDSoYQPedOt9z.2S.1nxAZLfwdn6XWikgYfO
 HTGTf2waNT_hlnUkYKU7.2px6hlzNx5bJ4IJNKNPC4podVQN_PFx0.Bu..tnb_9aveOuFx6VCRIj
 ZOb2ujHTIllvr1MkZPejbWE96afQXFuReuRbaf5BW3K6Jso34dBzakWwwZ6_SPIqtJEKQlCm.kt0
 _I6ccAyITqGMF6ukkFkv1oDGU7bz9O9yrQJeEq1MgHq6UErxjqAAisTJ6rIib5VAg5Ayb6HfTqZn
 1kwrjZbyGn5obrKDU1k3Dk13rfVYsm.nuOZmEVvyUQodgvMLyWAYvkTiVp_SATZ8ka9Zv2PyeN6v
 iAzIDGcR7RZywAK1YI9L83H4G1P65zo9JHbrG0vVxwItBCKduJ_ySaxkaOJ1QIahMAjqM5sL1M_K
 5yrfPk.03Zynd.omzaPJUihkicOhWNcoh8TQcXwC34lwaf_NZ3Nq4puA3jqK9.W7KtYE.65S1t3u
 8j6BwqEKfu5fGgyPSsa1dm6YIJRwI3l6uNJKus.DwQukVtwmj1X5YJ6T5jtM2C6hdjlawKi029xa
 lTVOZLamyKJVe41_1xRALgs62loupkPrFXPKLYp5G1AFGR8z6jJHMHPBF_33Qrf6I.7pLLhIe70B
 7Ss7hEUcjGURzrYuAPXL7WhI2dRpU.kaphIGcwJYvL84tRIcb24ZyEE2L8FUzu51yCvknqxmJpLd
 e6b14hKSIBRGqv4yaLBdy9Ob2VjP2ztMh0.WQnYpC1KDSlyZ2TECtKSqeGYxkNMTPKRdVvBMHobi
 LjkH0JscJIcJHV2uw1iTaQxieiSGpiu2BsbzItS_cw0x_L5jYqZ8D1Us1M_t87nCAc9Sz4F3WtUF
 S4NYcCkWxIl_slIxZQBlN2JlkH_Cj6kLBQeEJ9uh2_ApAqk0WZEt5a3r774nyB705_93fdfDxVD4
 icYAHpeqfkPE98epbT37JwAX8KCOKDfiuxYkVnBtwCkDRvKuYC3cPclM_xCwNwf0X6FRzzzozAvd
 mWagFMDY4piUzv3P99bp54RReYhsuJ.pYebk3JQeUZKAx3I0WFClwGjOt97G6Uya0ZOaUzi51iCU
 dDDP8YDPB38obwnhi4HA_imcK6izFAwWDzXRHYDUHmteYUXfAm9JJ1gSUSelBQsBSsHwb199dzha
 OP8dT2k4sJp9ha8Yg0udXxS4Ex_4WTwnQKAPQCejDj1O6Nuaj_6F6zn1czispUAMSbAecPPePx_P
 eQT5EUUxZKFbVAGrjKQnLpzmBvfDlthZmBaNahiHyVtzqpcxu7vX9eKM-
X-Sonic-MF: <luangruo@HIDDEN>
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic317.consmr.mail.ne1.yahoo.com with HTTP; Mon, 11 Oct 2021 00:34:32 +0000
Received: by kubenode504.mail-prod1.omega.sg3.yahoo.com (VZM Hermes SMTP
 Server) with ESMTPA ID bc617cc6bc9170a6e302d1e08e34301f; 
 Mon, 11 Oct 2021 00:34:25 +0000 (UTC)
From: Po Lu <luangruo@HIDDEN>
To: Stefan Monnier <monnier@HIDDEN>
Subject: Re: bug#50993: 29.0.50; Problems when dragging the mouse over the
 toolbar
References: <87r1d2b9e2.fsf.ref@HIDDEN> <87r1d2b9e2.fsf@HIDDEN>
 <83y270rd4j.fsf@HIDDEN> <jwv1r4svgxa.fsf-monnier+emacs@HIDDEN>
 <83lf30r8eq.fsf@HIDDEN> <jwvo87wtumc.fsf-monnier+emacs@HIDDEN>
Date: Mon, 11 Oct 2021 08:34:22 +0800
In-Reply-To: <jwvo87wtumc.fsf-monnier+emacs@HIDDEN> (Stefan Monnier's message
 of "Sun, 10 Oct 2021 17:53:56 -0400")
Message-ID: <877dekcsc1.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Mailer: WebService/1.1.19116
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 266
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 50993
Cc: Eli Zaretskii <eliz@HIDDEN>, 50993 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Stefan Monnier <monnier@HIDDEN> writes:

> I'll have to try it out to see *how* it fails to work :-(

mouse-drag-track calls mouse-minibuffer-check, but the event's
frame_or_window is a frame and not a window, so it fails in a call to
window-minibuffer-p.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50993; Package emacs. Full text available.

Message received at 50993 <at> debbugs.gnu.org:


Received: (at 50993) by debbugs.gnu.org; 10 Oct 2021 21:54:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Oct 10 17:54:10 2021
Received: from localhost ([127.0.0.1]:55955 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mZgll-00024w-S5
	for submit <at> debbugs.gnu.org; Sun, 10 Oct 2021 17:54:10 -0400
Received: from mailscanner.iro.umontreal.ca ([132.204.25.50]:37455)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monnier@HIDDEN>) id 1mZglj-00024a-Cn
 for 50993 <at> debbugs.gnu.org; Sun, 10 Oct 2021 17:54:08 -0400
Received: from pmg3.iro.umontreal.ca (localhost [127.0.0.1])
 by pmg3.iro.umontreal.ca (Proxmox) with ESMTP id CE7034410A9;
 Sun, 10 Oct 2021 17:54:01 -0400 (EDT)
Received: from mail01.iro.umontreal.ca (unknown [172.31.2.1])
 by pmg3.iro.umontreal.ca (Proxmox) with ESMTP id D354E4410A2;
 Sun, 10 Oct 2021 17:54:00 -0400 (EDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=iro.umontreal.ca;
 s=mail; t=1633902840;
 bh=RljdmhO/uvyCXi6VykdeCIykexVHRMeew8QZYK6UICU=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From;
 b=Pdu5pCXP0wNg6Cdl+sYXgApAHiyFHfmwk5VYbEoH4drXo2k6CRPDcq0Zwt3YBTR/n
 rPbH6O6S/Ls0Lw5KO7ZP+dbRq94IIhYsVEZ3gbHI4nWv+x1NKKeQYeYj58WIbrTSV1
 heeskkMNiXC90FAfhDnl357lWRaj72T6835VgaxZPAx8W2/iaoLuXqaHlicTMCcnrl
 LEXjJ1Pi920qc0ZWp/0p+gwz7mQdS4lBm01IPc0MrYVoL2Zsj4iGGX9ARIafKTDXiL
 9bO55BgdGiELFIsJxvZ1VGny4PetVlSRs/Sk2SoQte1jiqyPplyfkg1B08UeRzUWHp
 PxTDXbI6Tv6Iw==
Received: from pastel (unknown [45.72.241.23])
 by mail01.iro.umontreal.ca (Postfix) with ESMTPSA id 8C56612044D;
 Sun, 10 Oct 2021 17:54:00 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#50993: 29.0.50; Problems when dragging the mouse over the
 toolbar
Message-ID: <jwvo87wtumc.fsf-monnier+emacs@HIDDEN>
References: <87r1d2b9e2.fsf.ref@HIDDEN> <87r1d2b9e2.fsf@HIDDEN>
 <83y270rd4j.fsf@HIDDEN> <jwv1r4svgxa.fsf-monnier+emacs@HIDDEN>
 <83lf30r8eq.fsf@HIDDEN>
Date: Sun, 10 Oct 2021 17:53:56 -0400
In-Reply-To: <83lf30r8eq.fsf@HIDDEN> (Eli Zaretskii's message of "Sun, 10 Oct
 2021 22:23:25 +0300")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-SPAM-INFO: Spam detection results:  0
 ALL_TRUSTED                -1 Passed through trusted hosts only via SMTP
 AWL -0.052 Adjusted score from AWL reputation of From: address
 BAYES_00                 -1.9 Bayes spam probability is 0 to 1%
 DKIM_SIGNED               0.1 Message has a DKIM or DK signature,
 not necessarily valid
 DKIM_VALID -0.1 Message has at least one valid DKIM or DK signature
 DKIM_VALID_AU -0.1 Message has a valid DKIM or DK signature from author's
 domain
X-SPAM-LEVEL: 
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 50993
Cc: luangruo@HIDDEN, 50993 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> I also tried to bind [tool-bar mouse-movement] to the same command to
> which we temporarily bind [mouse-movement] inside mouse-drag-region,

Sounds like a good plan, yes.

> but it somehow didn't work.
> Any idea why, or how to do it so it does work?

I'll have to try it out to see *how* it fails to work :-(


        Stefan





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50993; Package emacs. Full text available.

Message received at 50993 <at> debbugs.gnu.org:


Received: (at 50993) by debbugs.gnu.org; 10 Oct 2021 19:23:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Oct 10 15:23:47 2021
Received: from localhost ([127.0.0.1]:55872 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mZeQF-0006lL-I2
	for submit <at> debbugs.gnu.org; Sun, 10 Oct 2021 15:23:47 -0400
Received: from eggs.gnu.org ([209.51.188.92]:32976)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1mZeQB-0006l7-BD
 for 50993 <at> debbugs.gnu.org; Sun, 10 Oct 2021 15:23:45 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:58974)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1mZeQ5-0004oZ-Hu; Sun, 10 Oct 2021 15:23:37 -0400
Received: from [87.69.77.57] (port=4124 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mZeQ5-0007XM-4t; Sun, 10 Oct 2021 15:23:37 -0400
Date: Sun, 10 Oct 2021 22:23:25 +0300
Message-Id: <83lf30r8eq.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Stefan Monnier <monnier@HIDDEN>
In-Reply-To: <jwv1r4svgxa.fsf-monnier+emacs@HIDDEN> (message from Stefan
 Monnier on Sun, 10 Oct 2021 15:10:58 -0400)
Subject: Re: bug#50993: 29.0.50; Problems when dragging the mouse over the
 toolbar
References: <87r1d2b9e2.fsf.ref@HIDDEN> <87r1d2b9e2.fsf@HIDDEN>
 <83y270rd4j.fsf@HIDDEN> <jwv1r4svgxa.fsf-monnier+emacs@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 50993
Cc: luangruo@HIDDEN, 50993 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Stefan Monnier <monnier@HIDDEN>
> Cc: Po Lu <luangruo@HIDDEN>,  50993 <at> debbugs.gnu.org
> Date: Sun, 10 Oct 2021 15:10:58 -0400
> 
> > I have no idea how to fix this mess; I tried many things, but gave up
> > eventually.  Perhaps Stefan knows what to do here.  As a kludge, maybe
> > remove the prefix if the full even has no binding?  Anyway, we cannot
> > revert that change because it was done to support mouse wheel on the
> > tab bar.
> 
> I'm afraid I don't have a good idea either: this business of adding
> prefix events like `mode-line` and `tool-bar` is quite fiddly and
> I haven't managed to wrap my head around precisely how it's supposed
> to work.
> 
> I think it would make sense to drop those prefixes when the resulting
> key sequence has otherwise no binding, but at the same time it feels
> a bit like adding a hack on top of another one.

OK, thanks.

I also tried to bind [tool-bar mouse-movement] to the same command to
which we temporarily bind [mouse-movement] inside mouse-drag-region,
but it somehow didn't work.  Any idea why, or how to do it so it does
work?  Then we perhaps could bind those prefixed mouse movements, and
keep the feature working.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50993; Package emacs. Full text available.

Message received at 50993 <at> debbugs.gnu.org:


Received: (at 50993) by debbugs.gnu.org; 10 Oct 2021 19:11:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Oct 10 15:11:12 2021
Received: from localhost ([127.0.0.1]:55862 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mZeE4-0006SR-2U
	for submit <at> debbugs.gnu.org; Sun, 10 Oct 2021 15:11:12 -0400
Received: from mailscanner.iro.umontreal.ca ([132.204.25.50]:26184)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monnier@HIDDEN>) id 1mZeDz-0006Rr-3s
 for 50993 <at> debbugs.gnu.org; Sun, 10 Oct 2021 15:11:11 -0400
Received: from pmg3.iro.umontreal.ca (localhost [127.0.0.1])
 by pmg3.iro.umontreal.ca (Proxmox) with ESMTP id 36425440BF5;
 Sun, 10 Oct 2021 15:11:01 -0400 (EDT)
Received: from mail01.iro.umontreal.ca (unknown [172.31.2.1])
 by pmg3.iro.umontreal.ca (Proxmox) with ESMTP id EEE7F440B27;
 Sun, 10 Oct 2021 15:10:59 -0400 (EDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=iro.umontreal.ca;
 s=mail; t=1633893059;
 bh=tl3Qr5Tvgau0Je6Ua9s5DgmKaTewMoXA1umKAlroxX4=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From;
 b=EGPVkusAhs20/v7JS98+ITlx9sdJqFdvRc90Gc1707blb3Gxs0GKv0isWxu3jiV8Q
 8OdIB1j71+S+lXkvNdr/zksE7J6ec0T+sviDQSKejwN2vT2nOry4BmgYrNfpC0My6y
 hsh3WrN25KuTrDafvONIRDPLX24wq1j5RGQ1ucQrxNejJtVORLeiAoSCt1G2XrgeKK
 T6/T+2Hv+GCHSI7x3TW2XpQVFO3idu1lX+T0nyat5LTWJI1mAHchVAYbyDOUMl+km1
 eVWZBkJl96YC2yTV2+dS4NzOZS49T0f1COYBu0AZRzt8n3aigjeqUc+vnXATB/TSxV
 C6TJ5UdaomaVA==
Received: from pastel (unknown [45.72.241.23])
 by mail01.iro.umontreal.ca (Postfix) with ESMTPSA id BCD461201A6;
 Sun, 10 Oct 2021 15:10:59 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#50993: 29.0.50; Problems when dragging the mouse over the
 toolbar
Message-ID: <jwv1r4svgxa.fsf-monnier+emacs@HIDDEN>
References: <87r1d2b9e2.fsf.ref@HIDDEN> <87r1d2b9e2.fsf@HIDDEN>
 <83y270rd4j.fsf@HIDDEN>
Date: Sun, 10 Oct 2021 15:10:58 -0400
In-Reply-To: <83y270rd4j.fsf@HIDDEN> (Eli Zaretskii's message of "Sun, 10 Oct
 2021 20:41:32 +0300")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-SPAM-INFO: Spam detection results:  0
 ALL_TRUSTED                -1 Passed through trusted hosts only via SMTP
 AWL -0.048 Adjusted score from AWL reputation of From: address
 BAYES_00                 -1.9 Bayes spam probability is 0 to 1%
 DKIM_SIGNED               0.1 Message has a DKIM or DK signature,
 not necessarily valid
 DKIM_VALID -0.1 Message has at least one valid DKIM or DK signature
 DKIM_VALID_AU -0.1 Message has a valid DKIM or DK signature from author's
 domain
X-SPAM-LEVEL: 
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 50993
Cc: Po Lu <luangruo@HIDDEN>, 50993 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> This is because of commit 2e595b3: we now report mouse gestures on
> tool bar and tab bar with the corresponding prefixes.  And
> keyboard.c+mouse.el evidently don't like to see [tool-bar mouse-movement].
>
> I have no idea how to fix this mess; I tried many things, but gave up
> eventually.  Perhaps Stefan knows what to do here.  As a kludge, maybe
> remove the prefix if the full even has no binding?  Anyway, we cannot
> revert that change because it was done to support mouse wheel on the
> tab bar.

I'm afraid I don't have a good idea either: this business of adding
prefix events like `mode-line` and `tool-bar` is quite fiddly and
I haven't managed to wrap my head around precisely how it's supposed
to work.

I think it would make sense to drop those prefixes when the resulting
key sequence has otherwise no binding, but at the same time it feels
a bit like adding a hack on top of another one.


        Stefan "wondering if using modifiers instead of prefixes would
                have made things better or made them worse"





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50993; Package emacs. Full text available.

Message received at 50993 <at> debbugs.gnu.org:


Received: (at 50993) by debbugs.gnu.org; 10 Oct 2021 17:41:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Oct 10 13:41:53 2021
Received: from localhost ([127.0.0.1]:55805 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mZcpd-00023v-7Q
	for submit <at> debbugs.gnu.org; Sun, 10 Oct 2021 13:41:53 -0400
Received: from eggs.gnu.org ([209.51.188.92]:48606)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1mZcpb-00023g-L9
 for 50993 <at> debbugs.gnu.org; Sun, 10 Oct 2021 13:41:52 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:57534)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1mZcpV-00041H-Tm; Sun, 10 Oct 2021 13:41:45 -0400
Received: from [87.69.77.57] (port=1880 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mZcpV-00059h-Gp; Sun, 10 Oct 2021 13:41:45 -0400
Date: Sun, 10 Oct 2021 20:41:32 +0300
Message-Id: <83y270rd4j.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Po Lu <luangruo@HIDDEN>,
    Stefan Monnier <monnier@HIDDEN>
In-Reply-To: <87r1d2b9e2.fsf@HIDDEN> (bug-gnu-emacs@HIDDEN)
Subject: Re: bug#50993: 29.0.50;
 Problems when dragging the mouse over the toolbar
References: <87r1d2b9e2.fsf.ref@HIDDEN> <87r1d2b9e2.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 50993
Cc: 50993 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Sun, 03 Oct 2021 20:06:13 +0800
> From:  Po Lu via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <bug-gnu-emacs@HIDDEN>
> 
> In emacs -Q, try to extend the selection by dragging the mouse upwards
> over the tool bar.  This used to extend the selection upwards as
> expected, in Emacs 27, and Emacs 28 from April, but doesn't work anymore
> in both Emacs 28.0.60 and 29.0.50, complaining:
> 
> <tool-bar> <mouse-movement> is undefined.

This is because of commit 2e595b3: we now report mouse gestures on
tool bar and tab bar with the corresponding prefixes.  And
keyboard.c+mouse.el evidently don't like to see [tool-bar mouse-movement].

I have no idea how to fix this mess; I tried many things, but gave up
eventually.  Perhaps Stefan knows what to do here.  As a kludge, maybe
remove the prefix if the full even has no binding?  Anyway, we cannot
revert that change because it was done to support mouse wheel on the
tab bar.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50993; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 3 Oct 2021 12:06:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Oct 03 08:06:31 2021
Received: from localhost ([127.0.0.1]:33059 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mX0GF-0005LX-IA
	for submit <at> debbugs.gnu.org; Sun, 03 Oct 2021 08:06:31 -0400
Received: from lists.gnu.org ([209.51.188.17]:50968)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luangruo@HIDDEN>) id 1mX0GD-0005LP-E1
 for submit <at> debbugs.gnu.org; Sun, 03 Oct 2021 08:06:30 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:37176)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <luangruo@HIDDEN>)
 id 1mX0GB-0007Sa-5P
 for bug-gnu-emacs@HIDDEN; Sun, 03 Oct 2021 08:06:29 -0400
Received: from sonic307-56.consmr.mail.ne1.yahoo.com ([66.163.190.31]:45353)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <luangruo@HIDDEN>)
 id 1mX0G8-0007yV-PK
 for bug-gnu-emacs@HIDDEN; Sun, 03 Oct 2021 08:06:26 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1633262782; bh=KfqMgOOSrSHvkArG3J0LKF0RpEyBDuxn63XX4bvPAG4=;
 h=From:To:Subject:Date:References:From:Subject:Reply-To;
 b=KP+P62FTeR04KoGBYnelTsvfiTnFjcxn2qiwyDz8O3AAhKTXgMeyKeMxTz6NNWezumnvLBC5FIraayqNyz5vqX89t5AvbhXTNRKDpS/6Uj/R/IX+l+wjs8Y8SZ4mVElh5o7iJNiI/ZVWzh2laiHDL81iFJjgRMD/l1g7qc5IyUjukgmpuc1H+FREtwhN6cd3draWkjVMknV0geh6or6SOJjONJrBTyxuCBsbhcPIQ2r/POWIvEwv+iXEkXP8fVeC/DVPc3pW54iDRa9VgodhBW9pZ2C+lwuXAHPfFrVVfrH0HJbJRbnuqxjN8oTs70BCwPET4achg8O8fGkDtZh1dA==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1633262782; bh=8UKvRgfxQg2NK5t2wkVa5ofXJ47aHnI7+LiVd7ELtyj=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=mgfucpTs82+UHyBPsecH5a6w0oKF1eNXH23MNwlw6mnBIE4+jc4QeDNHGnyW8ogyG5L13o1CbD2+f2BbyE9/CypSwDXbytbTAf5gq7PnfJ1h443Da1+xSeTOUaemGuJKB5E4VB+rT3q+rja8IeDsPeUqMb4VzXQvv/oP+jFFwVqC0A/YG7Kp7QDx1jSrhKZHi/XS4H/9Tc3CuX5TsSa4Cyd65HfEsdBQzl3rrOTUIUZWyAr0e9QcPixhplVqtmRerleSkNBr6wtYPIoifxZLZtbZ7FL/MPPvdkrCDVcXc/0+Qv5eexo6TYCUvqfuOM75AbaUDG3OmYEtFBnn4K3HYw==
X-YMail-OSG: _YUrYx8VM1ki8kEIWlhoIsFCAnqutVznU6M1lBr2B3iZ2kzbLWJ4bFNDzjjrJMN
 nnEIdDKTQBDmaJbsi6lRYBEKT4njNL1xZRWZXByT.5w7IdRM.bswFv8YO3Oun2vxajgYFwdDm5sC
 b3gM1X8mYMd_kXM_AkpLDCnp.jc0CsX2.kczA3UBUxOJP5PY.AHiqlbaoK0fc5J_gZWRUmzJzxlH
 .7Djtzrho3somXsqyiP00xK9PafGIqFqZ8meoFvkU0jW9Qzgg_PaRNuHa4p62IVS4Caeo6yQWH7Z
 hKn4l8l6IFsMu8.EGLNgGcEfC9SXodi84.zpUG4zo2RElo2_gkcqH76w3W2jF6jl.xSxXcQ.DX_9
 C3_IVG1zZpTtAuvcq_L4j7JK4IoyKIPWJy913Vy_REkjRhF0MDhQRZRgy02v1AJuZv4C0MYqOYCs
 P8p7of5PXSwDCoqL07PrUg.2nJB8kPY8JHG1i8sN8_mmlEP64ea8mYJhSrABqKtCXyX8hKzSjoAW
 yjpwD1z.86mxmVRzBDlNJGAUtJBljWNk8KxafFB77lQR7gOx9f.4EvpheXBQXedcNbLIPDEdXGDZ
 iHYOwgGozXcVruwY.xUtfxaiFbutIvSR9Ex3g62unU19p17HHTNKP.2pmEgyG3uX2oebYiv8KT11
 CFGKrQaOrEuwpAniwNQ.FCtv66ZQxwMEjzAJu.EN.mQRuPuVN5lK4Lc5XWdkxSXn1kPQTD6MJefo
 ec8UmgdlkGBiIe3eJhVBbtEoKcGxkXkn_UVK5G8PjftVac2qnTadLDaU4fsKxSbV6PBBFljyKgD1
 OIFG8wPDmbovik.XNtxzPt3ZNCSpYdlAaNijC96cY.kGXVxO93LtHbIT3fDGbeM_saMtq0BdToOX
 G5op3D5hc1TJ9wG_p7HkyiBXAQA3eP8qh1Wn_mYPEA3J5R5qsyG__v5.Wm5j4nKG_DoF31Xx1GkI
 y_W80HQDLjG7rn1.7Tys6HHaZNkSWzqj1zm6No0x3gEOyNuj3GWBGoLDbShX5q9XfdWcd1ap9DGo
 r7WnhKqcU2l9iEIwhNMx8OILN5XC5GOpACi4TKY95MJKhr3H9igr9mKSrNUwqS7s.S4FaDODtVda
 6q16CN15YSyvJ_mLzkbEucYXzM9JwM4prOUsEzxv1Q5L4VLYBLFXQFs911aHrsQ99Qk.z32xa0W2
 GAItbLdyAB7pzKG8YwFJAF.MpJEdZxx..jYVH0XJm8.t.4zDyUAohkhdk.tE.M4xE5onHV3QooCf
 5SYQwhwnMQJGg76TAu2PpSZJW9uhNAw2KoDIyCB1gsWUC.jLM7m6EMlDK0vNFlsfvL5dtZiEe87I
 FNR9ePqW7Y8iqxbcULEfHIl12e1Dccmb1OA7Y7QXGF.dox_isV_IGi1p2EPzKEjdBN0_isBwrY0n
 h7TRssn7u.otfna90k2Vw.vUv0QdYP8ZWUawSqJ2BanogUdHqvsijm3tUracbSjJNsVEPBXgawl9
 IIXlL2fzzh1sDRlcI2Z_NZhOH_FUPGEmw3hbmuBRFyjX5kBZEYWOs4065Wy7yhUl0Dl5zdSa5kt5
 OuKK1T2IpIWpDcd5N8DllsJhcmGREs6CctzMknqscrdZCiIGSFeGovGvBkIO69O60mZApNUpCcUB
 10_Ck9umUG9c_bmFhPAPc9BifUberMbxVIp7_sg9oy2hfEde02Tpg5h8tcZ2YsjxwDWEq1ysvQg3
 F10GfQ4e_9_Pm.vaaUwO.h2oZ0tmHfTC7gl25sqgf3JxFClJiQXpdD4NJShdXzjpJ5XuCcSMBQZ4
 f_or9EiZJFblhAz5gSxSIFc1Dk2vVgKHMJk_pd.c3kc.4WdE_VzO6HIOz3c87v2oxCMnl_w71AcV
 SikDY9N1LvAYP8bkYjXDJeDoHPEvDH1ZTSYV120hkCnVCAGhqWvOx0vMgZcGR70JWLSftX81eWjy
 7HLMyYybQq.rkr1xYtZwehCr1Tp5CR0GzPMKUvHYR8ehaxATRN4ujcf.OfMqNvKsr7psA28Mswdv
 iWKSdm.WA.uPB11yyBneC2ROPTRmmmMODVFqLMu4gPVKwayZDW9R.LdHSSA3fDAqaBcKJHy5eTeN
 Gx4iqk6YuFGeXk.XI6W8ypngEPpv4lI2Han2bf4S4DvQ08.pW0QTKXvEKLbcqhVwUijRYi5eFvIK
 VCjBK4H5t2Ict90MvlOwp.ZZM0LVrnckqlqE0UL3TvXSxGVpZ_rBMJkqtBWJ1L0eg5PO9yW0ZpdJ
 abnBB1DlPDD9H2cm0S.VgngvpzU0QHSdoP.IGGFjzYitZaYJCqWXTc.omx4kOQxcSYFTP
X-Sonic-MF: <luangruo@HIDDEN>
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic307.consmr.mail.ne1.yahoo.com with HTTP; Sun, 3 Oct 2021 12:06:22 +0000
Received: by kubenode509.mail-prod1.omega.sg3.yahoo.com (VZM Hermes SMTP
 Server) with ESMTPA ID d6f6421722dd4ca2dc98a274be0707c0; 
 Sun, 03 Oct 2021 12:06:17 +0000 (UTC)
From: Po Lu <luangruo@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 29.0.50; Problems when dragging the mouse over the toolbar
Date: Sun, 03 Oct 2021 20:06:13 +0800
Message-ID: <87r1d2b9e2.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
References: <87r1d2b9e2.fsf.ref@HIDDEN>
X-Mailer: WebService/1.1.19076
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 1623
Received-SPF: pass client-ip=66.163.190.31; envelope-from=luangruo@HIDDEN;
 helo=sonic307-56.consmr.mail.ne1.yahoo.com
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, RCVD_IN_MSPIKE_H2=-0.001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -0.6 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.6 (-)

In emacs -Q, try to extend the selection by dragging the mouse upwards
over the tool bar.  This used to extend the selection upwards as
expected, in Emacs 27, and Emacs 28 from April, but doesn't work anymore
in both Emacs 28.0.60 and 29.0.50, complaining:

<tool-bar> <mouse-movement> is undefined.

While I'm reporting the bug from a modified copy of Emacs, I observed
the bug on X11 built with Lucid as well as this copy, so I don't think
this is a problem with my copy.

Thanks.


In GNU Emacs 29.0.50 (build 1, x86_64-unknown-haiku, Haiku R1/beta3)
 of 2021-10-03 built on shredder
Repository revision: 0418dbbf9c5ebca199e002b1db4c2c7627f12597
Repository branch: master
Windowing system distributor 'Haiku, Inc.', version 5.1.1
Configured using:
 'configure --with-be-app'

Configured features:
BE_APP GIF GLIB GNUTLS JPEG JSON LIBXML2 MODULES NOTIFY GFILENOTIFY
PDUMPER PNG RSVG THREADS TIFF TOOLKIT_SCROLL_BARS XIM ZLIB

Important settings:
  value of $LC_COLLATE: en.UTF-8
  value of $LC_CTYPE: en.UTF-8
  value of $LC_MESSAGES: en.UTF-8
  value of $LC_MONETARY: en.UTF-8
  value of $LC_NUMERIC: en.UTF-8
  value of $LC_TIME: en.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Fundamental

Minor modes in effect:
  show-paren-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  buffer-read-only: t
  line-number-mode: t
  indent-tabs-mode: t
  transient-mark-mode: t




Acknowledgement sent to Po Lu <luangruo@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#50993; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 17 Oct 2021 18:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.